"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Lazy = /** @class */ (function () {
    function Lazy(init) {
        this.init = init;
        this.isInitialized = false;
        this.value = undefined;
    }
    Lazy.prototype.get = function () {
        if (!this.isInitialized) {
            this.value = this.init();
            this.isInitialized = true;
        }
        return this.value;
    };
    return Lazy;
}());
exports.Lazy = Lazy;
//# sourceMappingURL=Lazy.js.map