import { Prefix } from '../../../../../@taquito/utils-6.3.5-beta.0/packages/taquito-utils/src/taquito-utils';
import { MichelsonValue } from './michelson/codec';
import { Uint8ArrayConsumer } from './uint8array-consumer';
export declare const prefixEncoder: (prefix: Prefix) => (str: string) => string;
export declare const prefixDecoder: (pre: Prefix) => (str: Uint8ArrayConsumer) => any;
export declare const tz1Decoder: (str: Uint8ArrayConsumer) => any;
export declare const branchDecoder: (str: Uint8ArrayConsumer) => any;
export declare const pkhDecoder: (val: Uint8ArrayConsumer) => any;
export declare const branchEncoder: (str: string) => string;
export declare const tz1Encoder: (str: string) => string;
export declare const boolEncoder: (bool: unknown) => string;
export declare const proposalEncoder: (proposal: string) => string;
export declare const proposalDecoder: (proposal: Uint8ArrayConsumer) => string;
export declare const proposalsDecoder: (proposal: Uint8ArrayConsumer) => string[];
export declare const proposalsEncoder: (proposals: string[]) => string;
export declare const ballotEncoder: (ballot: string) => string;
export declare const ballotDecoder: (ballot: Uint8ArrayConsumer) => string;
export declare const delegateEncoder: (val: string) => string;
export declare const int32Encoder: (val: string | number) => string;
export declare const int32Decoder: (val: Uint8ArrayConsumer) => number;
export declare const boolDecoder: (val: Uint8ArrayConsumer) => boolean;
export declare const delegateDecoder: (val: Uint8ArrayConsumer) => any;
export declare const pkhEncoder: (val: string) => string;
export declare const publicKeyEncoder: (val: string) => string;
export declare const addressEncoder: (val: string) => string;
export declare const publicKeyDecoder: (val: Uint8ArrayConsumer) => any;
export declare const addressDecoder: (val: Uint8ArrayConsumer) => any;
export declare const zarithEncoder: (n: string) => string;
export declare const zarithDecoder: (n: Uint8ArrayConsumer) => string;
export declare const entrypointDecoder: (value: Uint8ArrayConsumer) => string;
export declare const parametersDecoder: (val: Uint8ArrayConsumer) => {
    entrypoint: string;
    value: string | number | {} | undefined;
} | undefined;
export declare const entrypointEncoder: (entrypoint: string) => string;
export declare const parametersEncoder: (val: {
    entrypoint: string;
    value: MichelsonValue;
}) => string;
