/// <reference types="node" />
import { CryptoClient } from '../CryptoClient';
export declare class AeternityCryptoClient extends CryptoClient {
    constructor();
    signMessage(message: string, keypair: {
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
}
