/// <reference types="node" />
import { ICoinProtocol } from '../..';
import { CryptoClient } from '../CryptoClient';
export declare class BitcoinCryptoClient extends CryptoClient {
    private readonly protocol;
    private readonly bitcoinJSMessage;
    constructor(protocol: ICoinProtocol, bitcoinJSMessage: any);
    signMessage(message: string, keypair: {
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
}
