import { BaseEthereumProtocol } from './BaseEthereumProtocol';
import { EtherscanInfoClient } from './clients/info-clients/EtherscanInfoClient';
import { AirGapNodeClient } from './clients/node-clients/AirGapNodeClient';
import { EthereumProtocolOptions } from './EthereumProtocolOptions';
export declare class EthereumProtocol extends BaseEthereumProtocol<AirGapNodeClient, EtherscanInfoClient> {
    readonly options: EthereumProtocolOptions;
    constructor(options?: EthereumProtocolOptions);
}
