import { EthereumProtocol } from '../../EthereumProtocol';
import { EthereumInfoClient } from './InfoClient';
import { EthereumTransactionCursor, EthereumTransactionResult } from '../../EthereumTypes';
export declare class EtherscanInfoClient extends EthereumInfoClient {
    constructor(baseURL?: string);
    fetchTransactions(protocol: EthereumProtocol, address: string, limit: any, cursor?: EthereumTransactionCursor): Promise<EthereumTransactionResult>;
    fetchContractTransactions(protocol: EthereumProtocol, contractAddress: string, address: string, limit: number, cursor?: EthereumTransactionCursor): Promise<EthereumTransactionResult>;
}
