import { SubstrateTransactionCursor } from './../../SubstrateTypes';
import { IAirGapTransaction } from '../../../../interfaces/IAirGapTransaction';
import { SubstrateNetwork } from '../../SubstrateNetwork';
export declare class SubstrateBlockExplorerClient {
    readonly network: SubstrateNetwork;
    readonly apiUrl: string;
    constructor(network: SubstrateNetwork, apiUrl: string);
    getTransactions(address: string, limit: number, protocolDecimals: number, cursor?: SubstrateTransactionCursor): Promise<IAirGapTransaction[]>;
}
