import { SubstrateCall } from './call/SubstrateCall';
import { SubstrateConstant } from './constant/SubstrateConstant';
import { SubstrateStorageEntry } from './storage/SubstrateStorageEntry';
export declare class MetadataDecorator {
    private readonly storageEntries;
    private readonly calls;
    private readonly constants;
    constructor(storageEntries: SubstrateStorageEntry[], calls: SubstrateCall[], constants: SubstrateConstant[]);
    storageEntry(moduleName: string, entryName: string): SubstrateStorageEntry | undefined;
    call(moduleName: string, callName: string): SubstrateCall | undefined;
    constant(moduleName: string, constantName: string): SubstrateConstant | undefined;
    private createMapKey;
}
