import { SubstrateNetwork } from '../../../../../SubstrateNetwork';
import { SCALEDecodeResult } from '../../../scale/SCALEDecoder';
import { SCALEArray } from '../../../scale/type/SCALEArray';
import { SCALEBytes } from '../../../scale/type/SCALEBytes';
import { SCALEClass } from '../../../scale/type/SCALEClass';
import { SCALEString } from '../../../scale/type/SCALEString';
export declare class MetadataV11Constant extends SCALEClass {
    readonly name: SCALEString;
    readonly type: SCALEString;
    readonly value: SCALEBytes;
    readonly docs: SCALEArray<SCALEString>;
    static decode(network: SubstrateNetwork, raw: string): SCALEDecodeResult<MetadataV11Constant>;
    protected scaleFields: (SCALEBytes | SCALEString | SCALEArray<SCALEString>)[];
    private constructor();
}
