import { SubstrateNetwork } from '../../../../../SubstrateNetwork';
import { SCALEDecodeResult } from '../../../scale/SCALEDecoder';
import { SCALEArray } from '../../../scale/type/SCALEArray';
import { SCALEClass } from '../../../scale/type/SCALEClass';
import { SCALEString } from '../../../scale/type/SCALEString';
export declare class MetadataV11Event extends SCALEClass {
    readonly name: SCALEString;
    readonly args: SCALEArray<SCALEString>;
    readonly docs: SCALEArray<SCALEString>;
    static decode(network: SubstrateNetwork, raw: string): SCALEDecodeResult<MetadataV11Event>;
    scaleFields: (SCALEString | SCALEArray<SCALEString>)[];
    private constructor();
}
