"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var hex_1 = require("../../../../../../utils/hex");
var SCALEType_1 = require("./SCALEType");
var SCALEBoolean = /** @class */ (function (_super) {
    __extends(SCALEBoolean, _super);
    function SCALEBoolean(value) {
        var _this = _super.call(this) || this;
        _this.value = value;
        return _this;
    }
    SCALEBoolean.from = function (value) {
        return new SCALEBoolean(!!value);
    };
    SCALEBoolean.decode = function (hex) {
        var _hex = hex_1.stripHexPrefix(hex);
        var value = parseInt(_hex.substr(0, 2), 16);
        return {
            bytesDecoded: 1,
            decoded: SCALEBoolean.from(value)
        };
    };
    SCALEBoolean.prototype.toString = function () {
        return String(this.value);
    };
    SCALEBoolean.prototype._encode = function () {
        return hex_1.toHexStringRaw(this.value ? 1 : 0);
    };
    return SCALEBoolean;
}(SCALEType_1.SCALEType));
exports.SCALEBoolean = SCALEBoolean;
//# sourceMappingURL=SCALEBoolean.js.map