/// <reference types="node" />
import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEType } from './SCALEType';
export declare class SCALEBytes extends SCALEType {
    readonly bytes: Buffer;
    static from(bytes: string | Buffer | Uint8Array): SCALEBytes;
    static decode(hex: string): SCALEDecodeResult<SCALEBytes>;
    private constructor();
    toString(encoding?: string): string;
    protected _encode(): string;
}
