import BigNumber from '../../../../../../dependencies/src/bignumber.js-9.0.0/bignumber';
import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEInt } from './SCALEInt';
import { SCALEType } from './SCALEType';
declare type Number = SCALECompactInt | SCALEInt | BigNumber | number;
export declare class SCALECompactInt extends SCALEType {
    readonly value: BigNumber;
    static from(value: number | BigNumber | string): SCALECompactInt;
    static decode(hex: string): SCALEDecodeResult<SCALECompactInt>;
    private constructor();
    toString(base?: number): string;
    toNumber(): number;
    plus(other: Number): SCALECompactInt;
    minus(other: Number): SCALECompactInt;
    multiply(other: Number): SCALECompactInt;
    divide(other: Number): SCALECompactInt;
    lt(other: Number): boolean;
    lte(other: Number): boolean;
    gt(other: Number): boolean;
    gte(other: Number): boolean;
    eq(other: Number): boolean;
    protected _encode(): string;
    private applyOperation;
    private performOperation;
}
export {};
