import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEType } from './SCALEType';
export declare class SCALEEnum<T> extends SCALEType {
    readonly value: T;
    static from<T>(value: T): SCALEEnum<T>;
    static decode<T>(hex: string, getEnumValue: (value: number) => T | null): SCALEDecodeResult<SCALEEnum<T>>;
    private constructor();
    toString(): string;
    protected _encode(): string;
}
