import BigNumber from '../../../../../../dependencies/src/bignumber.js-9.0.0/bignumber';
import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEType } from './SCALEType';
export interface EraConfig {
    chainHeight: number | BigNumber;
    period?: number | BigNumber;
}
export declare class SCALEEra extends SCALEType {
    readonly period: number;
    readonly phase: number;
    static Immortal(): SCALEEra;
    static Mortal(config: EraConfig): SCALEEra;
    readonly isMortal: boolean;
    static decode(hex: string): SCALEDecodeResult<SCALEEra>;
    private static decodeImmortal;
    private static decodeMortal;
    private constructor();
    toString(): string;
    protected _encode(): string;
    private getTrailingZeros;
}
