"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var hex_1 = require("../../../../../../utils/hex");
var SCALEType_1 = require("./SCALEType");
var SCALETuple = /** @class */ (function (_super) {
    __extends(SCALETuple, _super);
    function SCALETuple(first, second) {
        var _this = _super.call(this) || this;
        _this.first = first;
        _this.second = second;
        return _this;
    }
    SCALETuple.from = function (firstParam, secondParam) {
        if (secondParam !== undefined) {
            return new SCALETuple(firstParam, secondParam);
        }
        else {
            return new SCALETuple(firstParam[0], firstParam[1]);
        }
    };
    SCALETuple.decode = function (network, hex, decodeFirst, decodeSecond) {
        var _hex = hex_1.stripHexPrefix(hex);
        var first = decodeFirst(network, _hex);
        var second = decodeSecond(network, _hex.slice(first.bytesDecoded * 2));
        return {
            bytesDecoded: first.bytesDecoded + second.bytesDecoded,
            decoded: SCALETuple.from(first.decoded, second.decoded)
        };
    };
    SCALETuple.prototype.toString = function () {
        return "(" + this.first.toString() + ", " + this.second.toString() + ")";
    };
    SCALETuple.prototype._encode = function () {
        return this.first.encode() + this.second.encode();
    };
    return SCALETuple;
}(SCALEType_1.SCALEType));
exports.SCALETuple = SCALETuple;
//# sourceMappingURL=SCALETuple.js.map