import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { SCALEAccountId } from '../scale/type/SCALEAccountId';
import { SCALEArray } from '../scale/type/SCALEArray';
import { SCALECompactInt } from '../scale/type/SCALECompactInt';
import { SCALETuple } from '../scale/type/SCALETuple';
export declare class SubstrateExposure {
    readonly total: SCALECompactInt;
    readonly own: SCALECompactInt;
    readonly others: SCALEArray<SCALETuple<SCALEAccountId, SCALECompactInt>>;
    static decode(network: SubstrateNetwork, runtimeVersion: number | undefined, raw: string): SubstrateExposure;
    private constructor();
}
