import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { SCALEAccountId } from '../scale/type/SCALEAccountId';
import { SCALEArray } from '../scale/type/SCALEArray';
import { SCALEBoolean } from '../scale/type/SCALEBoolean';
import { SCALEInt } from '../scale/type/SCALEInt';
export declare class SubstrateNominations {
    readonly targets: SCALEArray<SCALEAccountId>;
    readonly submittedIn: SCALEInt;
    readonly suppressed: SCALEBoolean;
    static decode(network: SubstrateNetwork, runtimeVersion: number | undefined, raw: string): SubstrateNominations;
    private constructor();
}
