import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { SCALEInt } from '../scale/type/SCALEInt';
import { SCALEArray } from '../scale/type/SCALEArray';
export declare class SubstrateSlashingSpans {
    readonly spanIndex: SCALEInt;
    readonly lastStart: SCALEInt;
    readonly lastNonzeroSlash: SCALEInt;
    readonly prior: SCALEArray<SCALEInt>;
    static decode(network: SubstrateNetwork, runtimeVersion: number | undefined, raw: string): SubstrateSlashingSpans;
    private constructor();
}
