import { ProtocolBlockExplorer } from '../../../utils/ProtocolBlockExplorer';
import { NetworkType, ProtocolNetwork } from '../../../utils/ProtocolNetwork';
import { SubstrateNetwork } from '../SubstrateNetwork';
import { PolkascanBlockExplorer, SubstrateProtocolConfig, SubstrateProtocolOptions } from '../SubstrateProtocolOptions';
export declare class KusamaProtocolNetworkExtras {
    readonly apiUrl: string;
    readonly network: SubstrateNetwork;
    constructor(apiUrl?: string, network?: SubstrateNetwork);
}
export declare class KusamaPolkascanBlockExplorer extends PolkascanBlockExplorer {
    constructor(blockExplorer?: string);
}
export declare class KusamaProtocolConfig extends SubstrateProtocolConfig {
    constructor();
}
export declare class KusamaProtocolNetwork extends ProtocolNetwork<KusamaProtocolNetworkExtras> {
    constructor(name?: string, type?: NetworkType, rpcUrl?: string, blockExplorer?: ProtocolBlockExplorer, extras?: KusamaProtocolNetworkExtras);
}
export declare class KusamaProtocolOptions extends SubstrateProtocolOptions<KusamaProtocolConfig> {
    readonly network: KusamaProtocolNetwork;
    readonly config: KusamaProtocolConfig;
    constructor(network?: KusamaProtocolNetwork, config?: KusamaProtocolConfig);
}
