import { ProtocolBlockExplorer } from '../../../utils/ProtocolBlockExplorer';
import { NetworkType, ProtocolNetwork } from '../../../utils/ProtocolNetwork';
import { SubstrateNetwork } from '../SubstrateNetwork';
import { PolkascanBlockExplorer, SubstrateProtocolConfig, SubstrateProtocolOptions } from '../SubstrateProtocolOptions';
export declare class PolkadotProtocolNetworkExtras {
    readonly apiUrl: string;
    readonly network: SubstrateNetwork;
    constructor(apiUrl?: string, network?: SubstrateNetwork);
}
export declare class PolkadotPolkascanBlockExplorer extends PolkascanBlockExplorer {
    constructor(blockExplorer?: string);
}
export declare class PolkadotProtocolConfig extends SubstrateProtocolConfig {
    constructor();
}
export declare class PolkadotProtocolNetwork extends ProtocolNetwork<PolkadotProtocolNetworkExtras> {
    constructor(name?: string, type?: NetworkType, rpcUrl?: string, blockExplorer?: ProtocolBlockExplorer, extras?: PolkadotProtocolNetworkExtras);
}
export declare class PolkadotProtocolOptions extends SubstrateProtocolOptions<PolkadotProtocolConfig> {
    readonly network: PolkadotProtocolNetwork;
    readonly config: PolkadotProtocolConfig;
    constructor(network?: PolkadotProtocolNetwork, config?: PolkadotProtocolConfig);
}
