/// <reference types="node" />
import { MichelsonType } from './types/michelson/MichelsonType';
export declare class TezosUtils {
    private static readonly tezosPrefixes;
    static parseAddress(bytes: string | Buffer): string;
    static parseHex(rawHex: string | string[]): MichelsonType;
    private static decodeSignedInt;
    private static hexStringToArray;
    private static parsePair;
    private static parseList;
    private static hexToString;
    private static hexToLength;
    private static splitAndReturnRest;
    private static parseTzAddress;
    private static prefixAndBase58CheckEncode;
}
