import { MichelsonType } from '../types/michelson/MichelsonType';
import { TezosTransactionParameters } from '../types/operations/Transaction';
export declare class TezosContractCall {
    readonly entrypoint: string;
    readonly michelsonValue: MichelsonType | undefined;
    constructor(entrypoint: string, michelsonValue: MichelsonType | undefined);
    args(): any | undefined;
    toJSON(): TezosTransactionParameters;
}
