import BigNumber from '../../../dependencies/src/bignumber.js-9.0.0/bignumber';
import { TezosBakingRewards, TezosEndorsingRewards, TezosEndorsingRight, TezosProtocol } from '../TezosProtocol';
import { TezosRewardsCalculationDefault } from './TezosRewardCalculationDefault';
export declare class TezosRewardsCalculation005 extends TezosRewardsCalculationDefault {
    protocol: TezosProtocol;
    constructor(protocol: TezosProtocol);
    protected computeBakingRewards(bakingRights: {
        level: number;
        priority: number;
    }[], isFutureCycle: boolean): Promise<TezosBakingRewards>;
    protected specificBakingCalculation(e: number, p: number): BigNumber;
    protected computeEndorsingRewards(endorsingRights: TezosEndorsingRight[], isFutureCycle: boolean): Promise<TezosEndorsingRewards>;
    protected specificEndorsingCalculation(priority: number, number_of_slots: number): BigNumber;
}
