import BigNumber from '../../../../../dependencies/src/bignumber.js-9.0.0/bignumber';
import { MichelineDataNode, MichelinePrimitive } from '../../micheline/MichelineNode';
import { MichelsonType } from '../MichelsonType';
export declare class MichelsonInt extends MichelsonType {
    readonly value: BigNumber;
    constructor(value: BigNumber, name?: string);
    static from(value: unknown, name?: string): MichelsonInt;
    static fromMicheline(micheline: MichelinePrimitive<'int'>, name?: string): MichelsonInt;
    static fromUnknown(unknownValue: unknown, name?: string): MichelsonInt;
    asRawValue(): Record<string, BigNumber> | BigNumber;
    toMichelineJSON(): MichelineDataNode;
}
