"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Gets thrown if the serializer version does not match
 */
var SerializerVersionMismatch = /** @class */ (function (_super) {
    __extends(SerializerVersionMismatch, _super);
    function SerializerVersionMismatch() {
        return _super.call(this, 'SERIALIZER_VERSION_MISMATCH') || this;
    }
    return SerializerVersionMismatch;
}(Error));
exports.SerializerVersionMismatch = SerializerVersionMismatch;
/**
 * Gets thrown if the serializer cannot handle the specified coin/protocol
 */
var ProtocolNotSupported = /** @class */ (function (_super) {
    __extends(ProtocolNotSupported, _super);
    function ProtocolNotSupported() {
        return _super.call(this, 'PROTOCOL_NOT_SUPPORTED') || this;
    }
    return ProtocolNotSupported;
}(Error));
exports.ProtocolNotSupported = ProtocolNotSupported;
/**
 * Gets thrown if the serializer CAN handle the specified coin/protocol, but not in this version
 */
var ProtocolVersionMismatch = /** @class */ (function (_super) {
    __extends(ProtocolVersionMismatch, _super);
    function ProtocolVersionMismatch() {
        return _super.call(this, 'PROTOCOL_VERSION_MISMATCH') || this;
    }
    return ProtocolVersionMismatch;
}(Error));
exports.ProtocolVersionMismatch = ProtocolVersionMismatch;
/**
 * Gets thrown if the specified Type is not supported
 */
var TypeNotSupported = /** @class */ (function (_super) {
    __extends(TypeNotSupported, _super);
    function TypeNotSupported() {
        return _super.call(this, 'TYPE_NOT_SUPPORTED') || this;
    }
    return TypeNotSupported;
}(Error));
exports.TypeNotSupported = TypeNotSupported;
//# sourceMappingURL=index.js.map