/// <reference types="node" />
import { SerializedSyncProtocolSignedTransaction, SignedTransaction, SignedTransactionSerializer } from '../signed-transaction.serializer';
export declare type SerializedSignedAeternityTransaction = [Buffer];
export interface SignedAeternityTransaction extends SignedTransaction {
    accountIdentifier: string;
    transaction: string;
}
export declare class AeternitySignedTransactionSerializer extends SignedTransactionSerializer {
    serialize(transaction: SignedAeternityTransaction): SerializedSyncProtocolSignedTransaction;
    deserialize(serializedTx: SerializedSyncProtocolSignedTransaction): SignedAeternityTransaction;
}
