/// <reference types="node" />
import { SerializedSyncProtocolSignedTransaction, SignedTransaction, SignedTransactionSerializer } from '../signed-transaction.serializer';
export declare type SerializedSignedEthereumTransaction = [Buffer];
export interface SignedEthereumTransaction extends SignedTransaction {
    accountIdentifier: string;
    transaction: string;
}
export declare class EthereumSignedTransactionSerializer extends SignedTransactionSerializer {
    serialize(transaction: SignedEthereumTransaction): SerializedSyncProtocolSignedTransaction;
    deserialize(serializedTx: SerializedSyncProtocolSignedTransaction): SignedEthereumTransaction;
}
