/// <reference types="node" />
import { SerializedSyncProtocolTransaction, UnsignedTransaction, UnsignedTransactionSerializer } from '../unsigned-transaction.serializer';
export declare type SerializedUnsignedSubstrateTransaction = [Buffer];
export interface RawSubstrateTransaction {
    encoded: string;
}
export interface UnsignedSubstrateTransaction extends UnsignedTransaction {
    transaction: RawSubstrateTransaction;
}
export declare class SubstrateUnsignedTransactionsSerializer extends UnsignedTransactionSerializer {
    serialize(transaction: UnsignedSubstrateTransaction): SerializedSyncProtocolTransaction;
    deserialize(serializedTx: SerializedSyncProtocolTransaction): UnsignedSubstrateTransaction;
}
