/// <reference types="node" />
export interface SyncWalletRequest {
    publicKey: string;
    derivationPath: string;
    isExtendedPublicKey: boolean;
}
export declare enum SyncProtocolWalletSync {
    PUBLIC_KEY = 0,
    DERIVATION_PATH = 1,
    IS_EXTENDED_PUBLIC_KEY = 2
}
export interface SerializedSyncProtocolWalletSync extends Array<Buffer> {
    [0]: Buffer;
    [1]: Buffer;
    [2]: Buffer;
}
export declare class WalletSerializer {
    serialize(syncWalletRequest: SyncWalletRequest): SerializedSyncProtocolWalletSync;
    deserialize(serializedWalletRequest: SerializedSyncProtocolWalletSync): SyncWalletRequest;
}
