import { SignedTransaction } from '../schemas/definitions/signed-transaction';
import { UnsignedTransaction } from '../schemas/definitions/unsigned-transaction';
export declare abstract class TransactionValidator {
    abstract validateUnsignedTransaction(transaction: UnsignedTransaction): Promise<boolean>;
    abstract validateSignedTransaction(transaction: SignedTransaction): Promise<boolean>;
}
