/// <reference types="node" />
import BigNumber from '../dependencies/src/bignumber.js-9.0.0/bignumber';
export declare function addHexPrefix(raw: string): string;
export declare function stripHexPrefix(hex: string): string;
export declare function isHex(value: string): boolean;
export declare function toHexBuffer(value: number | BigNumber): Buffer;
export declare function toHexStringRaw(value: number | BigNumber, bitLength?: number): string;
export declare function toHexString(value: number | BigNumber, bitLength?: number): string;
export declare function hexToBytes(hex: string | Uint8Array | Buffer): Buffer;
export declare function bytesToHex(bytes: Uint8Array | Buffer | string, config?: {
    withPrefix: boolean;
}): string;
export declare function changeEndianness(hex: string): string;
