import { ICoinProtocol } from '../protocols/ICoinProtocol';
import { ICoinSubProtocol } from '../protocols/ICoinSubProtocol';
import { ProtocolNetwork } from './ProtocolNetwork';
import { ProtocolSymbols } from './ProtocolSymbols';
declare const getSubProtocolsByIdentifier: (identifier: ProtocolSymbols, network?: ProtocolNetwork) => ICoinSubProtocol[];
declare const addSubProtocol: (protocol: ICoinProtocol, subProtocol: ICoinSubProtocol) => void;
declare const removeSubProtocol: (protocol: ICoinProtocol, subProtocol: ICoinSubProtocol) => void;
export { addSubProtocol, removeSubProtocol, getSubProtocolsByIdentifier };
