"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var bignumber_1 = require("../dependencies/src/bignumber.js-9.0.0/bignumber");
function isRecord(obj) {
    return (obj instanceof Object &&
        !Array.isArray(obj) &&
        !Buffer.isBuffer(obj) &&
        !bignumber_1.default.isBigNumber(obj) &&
        Object.values(obj).every(function (value) { return typeof value !== 'function'; }));
}
exports.isRecord = isRecord;
//# sourceMappingURL=type.js.map