import { ProtocolBlockExplorer } from '../../utils/ProtocolBlockExplorer';
import { NetworkType, ProtocolNetwork } from '../../utils/ProtocolNetwork';
import { ProtocolOptions } from '../../utils/ProtocolOptions';
export declare class AeternalBlockExplorer implements ProtocolBlockExplorer {
    readonly blockExplorer: string;
    constructor(blockExplorer?: string);
    getAddressLink(address: string): Promise<string>;
    getTransactionLink(transactionId: string): Promise<string>;
}
export declare class AeternityProtocolNetwork extends ProtocolNetwork<undefined> {
    constructor(name?: string, type?: NetworkType, rpcUrl?: string, blockExplorer?: ProtocolBlockExplorer, extras?: undefined);
}
export declare class AeternityProtocolOptions implements ProtocolOptions<undefined> {
    readonly network: AeternityProtocolNetwork;
    readonly config: undefined;
    constructor(network?: AeternityProtocolNetwork, config?: undefined);
}
