"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var bitcoinJS = require("../../dependencies/src/bitgo-utxo-lib-5d91049fd7a988382df81c8260e244ee56d57aac/src/index");
var ProtocolNetwork_1 = require("../../utils/ProtocolNetwork");
var BitcoinProtocol_1 = require("./BitcoinProtocol");
var BitcoinProtocolOptions_1 = require("./BitcoinProtocolOptions");
var BitcoinTestnetProtocol = /** @class */ (function (_super) {
    __extends(BitcoinTestnetProtocol, _super);
    function BitcoinTestnetProtocol() {
        var _this = _super.call(this, new BitcoinProtocolOptions_1.BitcoinProtocolOptions(new BitcoinProtocolOptions_1.BitcoinProtocolNetwork('Testnet', ProtocolNetwork_1.NetworkType.TESTNET, '', new BitcoinProtocolOptions_1.BlockcypherBlockExplorer('https://live.blockcypher.com/btc-testnet'), new BitcoinProtocolOptions_1.BitcoinProtocolNetworkExtras("https://cors-proxy.airgap.prod.gke.papers.tech/proxy?url=" + 'https://tbtc1.trezor.io', bitcoinJS.networks.testnet)), new BitcoinProtocolOptions_1.BitcoinProtocolConfig())) || this;
        _this.name = 'Bitcoin Testnet';
        _this.standardDerivationPath = "m/44'/1'/0'";
        _this.addressValidationPattern = '^..[13][a-km-zA-HJ-NP-Z1-9]{25,34}$';
        return _this;
    }
    return BitcoinTestnetProtocol;
}(BitcoinProtocol_1.BitcoinProtocol));
exports.BitcoinTestnetProtocol = BitcoinTestnetProtocol;
//# sourceMappingURL=BitcoinTestnetProtocol.js.map