import { JSONConvertible, RPCConvertible } from './CosmosTransaction';
export interface CosmosCoinJSON {
    denom: string;
    amount: string;
}
export declare class CosmosCoin implements JSONConvertible, RPCConvertible {
    private static readonly supportedDenominations;
    readonly denom: string;
    readonly amount: string;
    constructor(denom: string, amount: string);
    toJSON(): CosmosCoinJSON;
    static fromJSON(json: CosmosCoinJSON): CosmosCoin;
    toRPCBody(): any;
    static fromRPCBody(json: any): CosmosCoin;
}
