import { CosmosCoin } from './CosmosCoin';
import { JSONConvertible, RPCConvertible } from './CosmosTransaction';
export declare class CosmosFee implements JSONConvertible, RPCConvertible {
    readonly amount: CosmosCoin[];
    readonly gas: string;
    constructor(amount: CosmosCoin[], gas: string);
    toJSON(): {
        amount: import("./CosmosCoin").CosmosCoinJSON[];
        gas: string;
    };
    static fromJSON(json: any): CosmosFee;
    toRPCBody(): any;
    static fromRPCBody(json: any): CosmosFee;
}
