import { EthereumProtocol } from '../../EthereumProtocol';
import { EthereumTransactionCursor, EthereumTransactionResult } from '../../EthereumTypes';
export declare abstract class EthereumInfoClient {
    baseURL: string;
    constructor(baseURL: string);
    abstract fetchTransactions(protocol: EthereumProtocol, address: string, limit: number, cursor?: EthereumTransactionCursor): Promise<EthereumTransactionResult>;
    abstract fetchContractTransactions(protocol: EthereumProtocol, contractAddress: string, address: string, limit: number, cursor?: EthereumTransactionCursor): Promise<EthereumTransactionResult>;
}
