import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { MetadataDecorator } from './decorator/MetadataDecorator';
import { MetadataVersioned } from './MetadataVersioned';
export declare class Metadata {
    readonly versioned: MetadataVersioned;
    static decode(network: SubstrateNetwork, raw: string): Metadata;
    private static assertMagicNumber;
    private constructor();
    decorate(): MetadataDecorator;
}
