import { SubstrateNetwork } from '../../../../../../SubstrateNetwork';
import { SCALEDecodeResult } from '../../../../scale/SCALEDecoder';
import { SCALEArray } from '../../../../scale/type/SCALEArray';
import { SCALEClass } from '../../../../scale/type/SCALEClass';
import { SCALEString } from '../../../../scale/type/SCALEString';
import { MetadataV11StorageEntry } from './MetadataV11StorageEntry';
export declare class MetadataV11Storage extends SCALEClass {
    readonly prefix: SCALEString;
    readonly storageEntries: SCALEArray<MetadataV11StorageEntry>;
    static decode(network: SubstrateNetwork, raw: string): SCALEDecodeResult<MetadataV11Storage>;
    protected scaleFields: SCALEString[];
    private constructor();
}
