import { SubstrateNetwork } from '../../../../SubstrateNetwork';
import { DecoderMethod, SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEType } from './SCALEType';
export declare class SCALEArray<T extends SCALEType> extends SCALEType {
    readonly elements: T[];
    static from<T extends SCALEType>(elements: T[]): SCALEArray<T>;
    static decode<T extends SCALEType>(network: SubstrateNetwork, hex: string, decodeElement: DecoderMethod<T>): SCALEDecodeResult<SCALEArray<T>>;
    protected constructor(elements: T[]);
    toString(): string;
    protected _encode(): string;
}
