"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var hex_1 = require("../../../../../../utils/hex");
var SCALEType_1 = require("./SCALEType");
var SCALEEnum = /** @class */ (function (_super) {
    __extends(SCALEEnum, _super);
    function SCALEEnum(value) {
        var _this = _super.call(this) || this;
        _this.value = value;
        return _this;
    }
    SCALEEnum.from = function (value) {
        if (!(typeof value === 'number')) {
            throw new Error('SCALEEnum#from: Invalid enum value');
        }
        return new SCALEEnum(value);
    };
    SCALEEnum.decode = function (hex, getEnumValue) {
        var _hex = hex_1.stripHexPrefix(hex);
        var value = parseInt(_hex.substr(0, 2), 16);
        var enumValue = getEnumValue(value);
        if (enumValue === null) {
            throw new Error('SCALEEnum#decode: Unknown enum value');
        }
        return {
            bytesDecoded: 1,
            decoded: SCALEEnum.from(enumValue)
        };
    };
    SCALEEnum.prototype.toString = function () {
        return this.value.toString();
    };
    SCALEEnum.prototype._encode = function () {
        return hex_1.toHexStringRaw(this.value);
    };
    return SCALEEnum;
}(SCALEType_1.SCALEType));
exports.SCALEEnum = SCALEEnum;
//# sourceMappingURL=SCALEEnum.js.map