/// <reference types="node" />
import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEType } from './SCALEType';
export declare class SCALEHash extends SCALEType {
    readonly value: Buffer;
    static empty(bitLength?: number): SCALEHash;
    static from(bytes: string | Buffer | Uint8Array): SCALEHash;
    static decode(hex: string, bitLength: number): SCALEDecodeResult<SCALEHash>;
    readonly isEmpty: boolean;
    private constructor();
    toString(encoding?: string): string;
    protected _encode(): string;
}
