import BigNumber from '../../../../../../dependencies/src/bignumber.js-9.0.0/bignumber';
import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALECompactInt } from './SCALECompactInt';
import { SCALEType } from './SCALEType';
declare type Number = SCALECompactInt | SCALEInt | BigNumber | number;
export declare class SCALEInt extends SCALEType {
    readonly value: BigNumber;
    readonly bitLength?: number | undefined;
    static from(value: number | BigNumber | string, bitLength?: number): SCALEInt;
    static decode(hex: string, bitLength?: number): SCALEDecodeResult<SCALEInt>;
    private constructor();
    toString(base?: number): string;
    toNumber(): number;
    plus(other: Number): SCALEInt;
    minus(other: Number): SCALEInt;
    multiply(other: Number): SCALEInt;
    divide(other: Number): SCALEInt;
    lt(other: Number): boolean;
    lte(other: Number): boolean;
    gt(other: Number): boolean;
    gte(other: Number): boolean;
    eq(other: Number): boolean;
    protected _encode(): string;
    private applyOperation;
    private performOperation;
}
export {};
