import { SCALEDecodeResult } from '../SCALEDecoder';
import { SCALEType } from './SCALEType';
export declare class SCALEString extends SCALEType {
    readonly value: string;
    static from(value: string): SCALEString;
    static decode(hex: string): SCALEDecodeResult<SCALEString>;
    private constructor();
    toCamelCase(options?: {
        startUpper: boolean;
    }): string;
    toString(): string;
    protected _encode(): string;
}
