import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { SCALEEnum } from '../scale/type/SCALEEnum';
import { SCALEInt } from '../scale/type/SCALEInt';
export declare enum SubstrateElectionStatus {
    CLOSED = 0,
    OPEN = 1
}
export declare class SubstrateEraElectionStatus {
    status: SCALEEnum<SubstrateElectionStatus>;
    blockNumber?: SCALEInt | undefined;
    static decode(network: SubstrateNetwork, runtimeVersion: number | undefined, raw: string): SubstrateEraElectionStatus;
    constructor(status: SCALEEnum<SubstrateElectionStatus>, blockNumber?: SCALEInt | undefined);
}
