import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { SCALEAccountId } from '../scale/type/SCALEAccountId';
import { SCALEArray } from '../scale/type/SCALEArray';
import { SCALEInt } from '../scale/type/SCALEInt';
import { SCALETuple } from '../scale/type/SCALETuple';
export declare class SubstrateEraRewardPoints {
    readonly total: SCALEInt;
    readonly individual: SCALEArray<SCALETuple<SCALEAccountId, SCALEInt>>;
    static decode(network: SubstrateNetwork, runtimeVersion: number | undefined, raw: string): SubstrateEraRewardPoints;
    private constructor();
}
