import { SubstrateNetwork } from '../../../SubstrateNetwork';
import { SCALEAccountId } from '../scale/type/SCALEAccountId';
import { SCALEArray } from '../scale/type/SCALEArray';
import { SCALECompactInt } from '../scale/type/SCALECompactInt';
import { SCALEInt } from '../scale/type/SCALEInt';
import { SCALETuple } from '../scale/type/SCALETuple';
export declare class SubstrateStakingLedger {
    readonly stash: SCALEAccountId;
    readonly total: SCALECompactInt;
    readonly active: SCALECompactInt;
    readonly unlocking: SCALEArray<SCALETuple<SCALECompactInt, SCALECompactInt>>;
    readonly claimedRewards: SCALEArray<SCALEInt>;
    static decode(network: SubstrateNetwork, runtimeVersion: number | undefined, raw: string): SubstrateStakingLedger;
    private constructor();
}
