interface CacheConfig {
    cacheValue: boolean;
}
export declare class SubstrateNodeCache {
    expirationTime: number;
    constructor(expirationTime: number);
    private readonly cachedValues;
    private readonly promises;
    get<T>(key: string): Promise<T>;
    save(key: string, promise: Promise<any>, config?: CacheConfig): Promise<any>;
    private isValidOrDelete;
}
export {};
