import { ProtocolSymbols } from '../../../utils/ProtocolSymbols';
import { CurrencyUnit, FeeDefaults } from '../../ICoinProtocol';
import { SubstrateProtocol } from '../SubstrateProtocol';
import { SubstrateProtocolOptions } from '../SubstrateProtocolOptions';
export declare class PolkadotProtocol extends SubstrateProtocol {
    readonly options: SubstrateProtocolOptions;
    symbol: string;
    name: string;
    marketSymbol: string;
    feeSymbol: string;
    decimals: number;
    feeDecimals: number;
    identifier: ProtocolSymbols;
    feeDefaults: FeeDefaults;
    units: CurrencyUnit[];
    standardDerivationPath: string;
    addressValidationPattern: string;
    addressPlaceholder: string;
    protected defaultValidator: string;
    constructor(options?: SubstrateProtocolOptions);
}
