/// <reference types="node" />
import { CryptoClient } from '../CryptoClient';
export declare class TezosCryptoClient extends CryptoClient {
    readonly edsigPrefix: Uint8Array;
    constructor(edsigPrefix?: Uint8Array);
    signMessage(message: string, keypair: {
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
}
