"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var taquito_local_forging_1 = require("../../dependencies/src/@taquito/local-forging-6.3.5-beta.0/packages/taquito-local-forging/src/taquito-local-forging");
var sodium = require("libsodium-wrappers");
var index_1 = require("../../dependencies/src/axios-0.19.0/index");
var bignumber_1 = require("../../dependencies/src/bignumber.js-9.0.0/bignumber");
var index_2 = require("../../dependencies/src/bip39-2.5.0/index");
var bs58check = require("../../dependencies/src/bs58check-2.1.2/index");
var index_3 = require("../../dependencies/src/hd-wallet-js-b216450e56954a6e82ace0aade9474673de5d9d5/src/index");
var IAirGapTransaction_1 = require("../../interfaces/IAirGapTransaction");
var ErrorWithData_1 = require("../../utils/ErrorWithData");
var ProtocolSymbols_1 = require("../../utils/ProtocolSymbols");
var subProtocols_1 = require("../../utils/subProtocols");
var NonExtendedProtocol_1 = require("../NonExtendedProtocol");
var TezosRewardCalculation005_1 = require("./rewardcalculation/TezosRewardCalculation005");
var TezosRewardCalculation006_1 = require("./rewardcalculation/TezosRewardCalculation006");
var TezosRewardCalculationDefault_1 = require("./rewardcalculation/TezosRewardCalculationDefault");
var TezosProtocolOptions_1 = require("./TezosProtocolOptions");
var TezosOperationType_1 = require("./types/TezosOperationType");
var TezosCryptoClient_1 = require("./TezosCryptoClient");
var assert_1 = require("../../utils/assert");
var MAX_OPERATIONS_PER_GROUP = 200;
var GAS_LIMIT_PLACEHOLDER = '1040000';
var STORAGE_LIMIT_PLACEHOLDER = '60000';
var MINIMAL_FEE = 100;
var MINIMAL_FEE_PER_GAS_UNIT = 0.1;
var MINIMAL_FEE_PER_BYTE = 1;
var TezosDelegatorAction;
(function (TezosDelegatorAction) {
    TezosDelegatorAction["DELEGATE"] = "delegate";
    TezosDelegatorAction["UNDELEGATE"] = "undelegate";
    TezosDelegatorAction["CHANGE_BAKER"] = "change_baker";
})(TezosDelegatorAction = exports.TezosDelegatorAction || (exports.TezosDelegatorAction = {}));
// 8.25%
var SELF_BOND_REQUIREMENT = 0.0825;
var TezosNetwork;
(function (TezosNetwork) {
    TezosNetwork["MAINNET"] = "mainnet";
    TezosNetwork["BABYLONNET"] = "babylonnet";
    TezosNetwork["CARTHAGENET"] = "carthagenet";
    TezosNetwork["DELPHINET"] = "delphinet";
})(TezosNetwork = exports.TezosNetwork || (exports.TezosNetwork = {}));
var TezosProtocol = /** @class */ (function (_super) {
    __extends(TezosProtocol, _super);
    function TezosProtocol(options) {
        if (options === void 0) { options = new TezosProtocolOptions_1.TezosProtocolOptions(); }
        var _this = _super.call(this) || this;
        _this.options = options;
        _this.symbol = 'XTZ';
        _this.name = 'Tezos';
        _this.marketSymbol = 'xtz';
        _this.feeSymbol = 'xtz';
        _this.decimals = 6;
        _this.feeDecimals = 6; // micro tez is the smallest, 1000000 microtez is 1 tez
        _this.identifier = ProtocolSymbols_1.MainProtocolSymbols.XTZ;
        // tezbox default
        _this.feeDefaults = {
            low: '0.001420',
            medium: '0.001520',
            high: '0.003000'
        };
        _this.units = [
            {
                unitSymbol: 'XTZ',
                factor: '1'
            }
        ];
        _this.supportsHD = false;
        _this.standardDerivationPath = "m/44h/1729h/0h/0h";
        _this.addressIsCaseSensitive = true;
        _this.addressValidationPattern = '^(tz1|tz2|tz3|KT1)[1-9A-Za-z]{33}$';
        _this.addressPlaceholder = 'tz1...';
        // https://gitlab.com/tezos/tezos/-/blob/master/docs/whitedoc/proof_of_stake.rst
        // cycle has 4096 blocks, which are at least one minute apart
        _this.minCycleDuration = 4096 * 60 * 1000; // ms
        _this.transactionFee = new bignumber_1.default('1400');
        _this.originationSize = new bignumber_1.default('257');
        _this.storageCostPerByte = new bignumber_1.default('1000');
        _this.revealFee = new bignumber_1.default('1300');
        _this.activationBurn = _this.originationSize.times(_this.storageCostPerByte);
        _this.originationBurn = _this.originationSize.times(_this.storageCostPerByte); // https://tezos.stackexchange.com/a/787
        // Tezos - We need to wrap these in Buffer due to non-compatible browser polyfills
        _this.tezosPrefixes = {
            tz1: Buffer.from(new Uint8Array([6, 161, 159])),
            tz2: Buffer.from(new Uint8Array([6, 161, 161])),
            tz3: Buffer.from(new Uint8Array([6, 161, 164])),
            kt: Buffer.from(new Uint8Array([2, 90, 121])),
            edpk: Buffer.from(new Uint8Array([13, 15, 37, 217])),
            edsk: Buffer.from(new Uint8Array([43, 246, 78, 7])),
            edsig: Buffer.from(new Uint8Array([9, 245, 205, 134, 18])),
            branch: Buffer.from(new Uint8Array([1, 52]))
        };
        _this.headers = { 'Content-Type': 'application/json', apiKey: 'airgap00391' };
        _this.rewardCalculations = {
            alpha: new TezosRewardCalculationDefault_1.TezosRewardsCalculationDefault(_this),
            babylon: new TezosRewardCalculation005_1.TezosRewardsCalculation005(_this),
            cartha: new TezosRewardCalculation006_1.TezosRewardsCalculation006(_this)
        };
        _this.headers.apiKey = options.network.extras.conseilApiKey;
        return _this;
    }
    Object.defineProperty(TezosProtocol.prototype, "subProtocols", {
        get: function () {
            return subProtocols_1.getSubProtocolsByIdentifier(this.identifier, this.options.network);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TezosProtocol.prototype, "jsonRPCAPI", {
        // TODO: Should we remove these getters and replace the calls to `this.options.network...`?
        get: function () {
            return this.options.network.rpcUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TezosProtocol.prototype, "baseApiUrl", {
        get: function () {
            return this.options.network.extras.conseilUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TezosProtocol.prototype, "baseApiNetwork", {
        get: function () {
            return this.options.network.extras.conseilNetwork;
        },
        enumerable: true,
        configurable: true
    });
    TezosProtocol.prototype.getBlockExplorerLinkForAddress = function (address) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, this.options.network.blockExplorer.getAddressLink(address)];
            });
        });
    };
    TezosProtocol.prototype.getBlockExplorerLinkForTxId = function (txId) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, this.options.network.blockExplorer.getTransactionLink(txId)];
            });
        });
    };
    TezosProtocol.prototype.getPublicKeyFromMnemonic = function (mnemonic, derivationPath, password) {
        return __awaiter(this, void 0, void 0, function () {
            var secret;
            return __generator(this, function (_a) {
                secret = index_2.mnemonicToSeed(mnemonic, password);
                return [2 /*return*/, this.getPublicKeyFromHexSecret(secret, derivationPath)];
            });
        });
    };
    TezosProtocol.prototype.getPrivateKeyFromMnemonic = function (mnemonic, derivationPath, password) {
        return __awaiter(this, void 0, void 0, function () {
            var secret;
            return __generator(this, function (_a) {
                secret = index_2.mnemonicToSeed(mnemonic, password);
                return [2 /*return*/, this.getPrivateKeyFromHexSecret(secret, derivationPath)];
            });
        });
    };
    /**
     * Returns the PublicKey as String, derived from a supplied hex-string
     * @param secret HEX-Secret from BIP39
     * @param derivationPath DerivationPath for Key
     */
    TezosProtocol.prototype.getPublicKeyFromHexSecret = function (secret, derivationPath) {
        return __awaiter(this, void 0, void 0, function () {
            var publicKey;
            return __generator(this, function (_a) {
                publicKey = index_3.generateWalletUsingDerivationPath(Buffer.from(secret, 'hex'), derivationPath) // TODO: Look into typings
                .publicKey;
                return [2 /*return*/, Buffer.from(publicKey).toString('hex')];
            });
        });
    };
    /**
     * Returns the PrivateKey as Buffer, derived from a supplied hex-string
     * @param secret HEX-Secret from BIP39
     * @param derivationPath DerivationPath for Key
     */
    TezosProtocol.prototype.getPrivateKeyFromHexSecret = function (secret, derivationPath) {
        return __awaiter(this, void 0, void 0, function () {
            var secretKey;
            return __generator(this, function (_a) {
                secretKey = index_3.generateWalletUsingDerivationPath(Buffer.from(secret, 'hex'), derivationPath) // TODO: Look into typings
                .secretKey;
                return [2 /*return*/, Buffer.from(secretKey)];
            });
        });
    };
    TezosProtocol.prototype.getAddressFromPublicKey = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            var payload, address;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, sodium.ready];
                    case 1:
                        _a.sent();
                        payload = sodium.crypto_generichash(20, Buffer.from(publicKey, 'hex'));
                        address = bs58check.encode(Buffer.concat([this.tezosPrefixes.tz1, Buffer.from(payload)]));
                        return [2 /*return*/, address];
                }
            });
        });
    };
    TezosProtocol.prototype.getAddressesFromPublicKey = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            var address;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1:
                        address = _a.sent();
                        return [2 /*return*/, [address]];
                }
            });
        });
    };
    TezosProtocol.prototype.getTransactionsFromPublicKey = function (publicKey, limit, cursor) {
        return __awaiter(this, void 0, void 0, function () {
            var addresses;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.getAddressesFromPublicKey(publicKey)];
                    case 1:
                        addresses = _a.sent();
                        return [2 /*return*/, this.getTransactionsFromAddresses(addresses, limit, cursor)];
                }
            });
        });
    };
    TezosProtocol.prototype.getTransactionsFromAddresses = function (addresses, limit, cursor) {
        return __awaiter(this, void 0, void 0, function () {
            var allTransactions, lastEntryBlockLevel;
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, Promise.all(addresses.map(function (address) {
                            var getRequestBody = function () {
                                var body = {
                                    fields: ["status", "amount", "fee", "source", "destination", "operation_group_hash", "timestamp", "block_level"],
                                    predicates: [
                                        {
                                            field: 'source',
                                            operation: 'eq',
                                            set: [address],
                                            inverse: false,
                                            group: 'a'
                                        },
                                        {
                                            field: 'destination',
                                            operation: 'eq',
                                            set: [address],
                                            inverse: false,
                                            group: 'b'
                                        },
                                        {
                                            field: 'kind',
                                            operation: 'eq',
                                            set: ['transaction'],
                                            inverse: false,
                                            group: 'a'
                                        },
                                        {
                                            field: 'kind',
                                            operation: 'eq',
                                            set: ['transaction'],
                                            inverse: false,
                                            group: 'b'
                                        }
                                    ],
                                    orderBy: [
                                        {
                                            field: 'block_level',
                                            direction: 'desc'
                                        }
                                    ],
                                    limit: limit
                                };
                                if (cursor && cursor.lastBlockLevel) {
                                    body.predicates.push({
                                        field: 'block_level',
                                        operation: 'lt',
                                        set: [cursor.lastBlockLevel.toString()],
                                        inverse: false,
                                        group: 'a'
                                    });
                                    body.predicates.push({
                                        field: 'block_level',
                                        operation: 'lt',
                                        set: [cursor.lastBlockLevel.toString()],
                                        inverse: false,
                                        group: 'b'
                                    });
                                }
                                return body;
                            };
                            // AirGapTransactionStatus.APPLIED : AirGapTransactionStatus.FAILED
                            return new Promise(function (resolve, reject) { return __awaiter(_this, void 0, void 0, function () {
                                var result;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0: return [4 /*yield*/, index_1.default
                                                .post(this.options.network.extras.conseilUrl + "/v2/data/tezos/" + this.options.network.extras.conseilNetwork + "/operations", getRequestBody(), {
                                                headers: this.headers
                                            })
                                                .catch(function () {
                                                return { data: [] };
                                            })];
                                        case 1:
                                            result = _a.sent();
                                            resolve(result.data);
                                            return [2 /*return*/];
                                    }
                                });
                            }); });
                        }))];
                    case 1:
                        allTransactions = _a.sent();
                        allTransactions = allTransactions
                            .reduce(function (current, next) { return current.concat(next); })
                            .map(function (transaction) {
                            return {
                                amount: new bignumber_1.default(transaction.amount),
                                fee: new bignumber_1.default(transaction.fee),
                                from: [transaction.source],
                                isInbound: addresses.indexOf(transaction.destination) !== -1,
                                protocolIdentifier: _this.identifier,
                                network: _this.options.network,
                                to: [transaction.destination],
                                hash: transaction.operation_group_hash,
                                timestamp: transaction.timestamp / 1000,
                                blockHeight: transaction.block_level,
                                status: transaction.status === 'applied' ? IAirGapTransaction_1.AirGapTransactionStatus.APPLIED : IAirGapTransaction_1.AirGapTransactionStatus.FAILED
                            };
                        });
                        lastEntryBlockLevel = allTransactions.length > 0 ? allTransactions[allTransactions.length - 1].blockHeight : 0;
                        return [2 /*return*/, { transactions: allTransactions, cursor: { lastBlockLevel: lastEntryBlockLevel } }];
                }
            });
        });
    };
    TezosProtocol.prototype.signWithPrivateKey = function (privateKey, transaction) {
        return __awaiter(this, void 0, void 0, function () {
            var watermark, watermarkedForgedOperationBytesHex, watermarkedForgedOperationBytes, hashedWatermarkedOpBytes, opSignature, signedOpBytes;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, sodium.ready];
                    case 1:
                        _a.sent();
                        watermark = '03';
                        watermarkedForgedOperationBytesHex = watermark + transaction.binaryTransaction;
                        watermarkedForgedOperationBytes = Buffer.from(watermarkedForgedOperationBytesHex, 'hex');
                        hashedWatermarkedOpBytes = sodium.crypto_generichash(32, watermarkedForgedOperationBytes);
                        opSignature = sodium.crypto_sign_detached(hashedWatermarkedOpBytes, privateKey);
                        signedOpBytes = Buffer.concat([Buffer.from(transaction.binaryTransaction, 'hex'), Buffer.from(opSignature)]);
                        return [2 /*return*/, signedOpBytes.toString('hex')];
                }
            });
        });
    };
    TezosProtocol.prototype.getTransactionDetails = function (unsignedTx) {
        return __awaiter(this, void 0, void 0, function () {
            var binaryTransaction, wrappedOperations;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        binaryTransaction = unsignedTx.transaction.binaryTransaction;
                        return [4 /*yield*/, this.unforgeUnsignedTezosWrappedOperation(binaryTransaction)];
                    case 1:
                        wrappedOperations = _a.sent();
                        return [2 /*return*/, this.getAirGapTxFromWrappedOperations(wrappedOperations)];
                }
            });
        });
    };
    TezosProtocol.prototype.getTransactionDetailsFromSigned = function (signedTx) {
        return __awaiter(this, void 0, void 0, function () {
            var binaryTransaction, wrappedOperations;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        binaryTransaction = signedTx.transaction;
                        return [4 /*yield*/, this.unforgeSignedTezosWrappedOperation(binaryTransaction)];
                    case 1:
                        wrappedOperations = _a.sent();
                        return [2 /*return*/, this.getAirGapTxFromWrappedOperations(wrappedOperations)];
                }
            });
        });
    };
    TezosProtocol.prototype.getAirGapTxFromWrappedOperations = function (wrappedOperations) {
        return __awaiter(this, void 0, void 0, function () {
            var assertNever;
            var _this = this;
            return __generator(this, function (_a) {
                assertNever = function (x) { return undefined; };
                return [2 /*return*/, Promise.all(wrappedOperations.contents.map(function (tezosOperation) { return __awaiter(_this, void 0, void 0, function () {
                        var operation, partialTxs, _a, tezosSpendOperation, tezosOriginationOperation, delegate, delegate;
                        var _this = this;
                        return __generator(this, function (_b) {
                            switch (_b.label) {
                                case 0:
                                    partialTxs = [];
                                    _a = tezosOperation.kind;
                                    switch (_a) {
                                        case TezosOperationType_1.TezosOperationType.REVEAL: return [3 /*break*/, 1];
                                        case TezosOperationType_1.TezosOperationType.TRANSACTION: return [3 /*break*/, 2];
                                        case TezosOperationType_1.TezosOperationType.ORIGINATION: return [3 /*break*/, 4];
                                        case TezosOperationType_1.TezosOperationType.DELEGATION: return [3 /*break*/, 5];
                                        case TezosOperationType_1.TezosOperationType.ENDORSEMENT: return [3 /*break*/, 6];
                                        case TezosOperationType_1.TezosOperationType.SEED_NONCE_REVELATION: return [3 /*break*/, 6];
                                        case TezosOperationType_1.TezosOperationType.DOUBLE_ENDORSEMENT_EVIDENCE: return [3 /*break*/, 6];
                                        case TezosOperationType_1.TezosOperationType.DOUBLE_BAKING_EVIDENCE: return [3 /*break*/, 6];
                                        case TezosOperationType_1.TezosOperationType.ACTIVATE_ACCOUNT: return [3 /*break*/, 6];
                                        case TezosOperationType_1.TezosOperationType.PROPOSALS: return [3 /*break*/, 6];
                                        case TezosOperationType_1.TezosOperationType.BALLOT: return [3 /*break*/, 6];
                                    }
                                    return [3 /*break*/, 7];
                                case 1:
                                    operation = tezosOperation;
                                    partialTxs = [
                                        {
                                            from: [operation.source],
                                            to: ['Reveal']
                                        }
                                    ];
                                    return [3 /*break*/, 8];
                                case 2:
                                    tezosSpendOperation = tezosOperation;
                                    operation = tezosSpendOperation;
                                    return [4 /*yield*/, this.getTransactionOperationDetails(tezosSpendOperation)];
                                case 3:
                                    partialTxs = _b.sent();
                                    return [3 /*break*/, 8];
                                case 4:
                                    {
                                        tezosOriginationOperation = tezosOperation;
                                        operation = tezosOriginationOperation;
                                        delegate = tezosOriginationOperation.delegate;
                                        partialTxs = [
                                            {
                                                from: [operation.source],
                                                amount: new bignumber_1.default(tezosOriginationOperation.balance).toFixed(),
                                                to: [delegate ? "Delegate: " + delegate : 'Origination']
                                            }
                                        ];
                                    }
                                    return [3 /*break*/, 8];
                                case 5:
                                    {
                                        operation = tezosOperation;
                                        delegate = operation.delegate;
                                        partialTxs = [
                                            {
                                                from: [operation.source],
                                                to: [delegate ? delegate : 'Undelegate']
                                            }
                                        ];
                                    }
                                    return [3 /*break*/, 8];
                                case 6: throw new Error('operation not supported: ' + tezosOperation.kind);
                                case 7:
                                    assertNever(tezosOperation.kind); // Exhaustive switch
                                    throw new Error('no operation to unforge found');
                                case 8: return [2 /*return*/, partialTxs.map(function (partialTx) {
                                        return __assign({ amount: '0', fee: operation !== undefined ? new bignumber_1.default(operation.fee).toString(10) : '0', from: [], isInbound: false, protocolIdentifier: _this.identifier, network: _this.options.network, to: [], transactionDetails: tezosOperation }, partialTx);
                                    })];
                            }
                        });
                    }); })).then(function (airGapTxs) {
                        return airGapTxs.reduce(function (flatten, next) { return flatten.concat(next); }, []);
                    })];
            });
        });
    };
    TezosProtocol.prototype.getBalanceOfAddresses = function (addresses) {
        return __awaiter(this, void 0, void 0, function () {
            var balance, _i, addresses_1, address, data, error_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        balance = new bignumber_1.default(0);
                        _i = 0, addresses_1 = addresses;
                        _a.label = 1;
                    case 1:
                        if (!(_i < addresses_1.length)) return [3 /*break*/, 6];
                        address = addresses_1[_i];
                        _a.label = 2;
                    case 2:
                        _a.trys.push([2, 4, , 5]);
                        return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address + "/balance")];
                    case 3:
                        data = (_a.sent()).data;
                        balance = balance.plus(new bignumber_1.default(data));
                        return [3 /*break*/, 5];
                    case 4:
                        error_1 = _a.sent();
                        // if node returns 404 (which means 'no account found'), go with 0 balance
                        if (error_1.response && error_1.response.status !== 404) {
                            throw error_1;
                        }
                        return [3 /*break*/, 5];
                    case 5:
                        _i++;
                        return [3 /*break*/, 1];
                    case 6: return [2 /*return*/, balance.toString(10)];
                }
            });
        });
    };
    TezosProtocol.prototype.getBalanceOfPublicKey = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            var address;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1:
                        address = _a.sent();
                        return [2 /*return*/, this.getBalanceOfAddresses([address])];
                }
            });
        });
    };
    TezosProtocol.prototype.getBalanceOfPublicKeyForSubProtocols = function (publicKey, subProtocols) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, Promise.all(subProtocols.map(function (subProtocol) { return subProtocol.getBalanceOfPublicKey(publicKey).catch(function () { return "0"; }); }))];
                    case 1: return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    TezosProtocol.prototype.getAvailableBalanceOfAddresses = function (addresses) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, this.getBalanceOfAddresses(addresses)];
            });
        });
    };
    TezosProtocol.prototype.estimateMaxTransactionValueFromPublicKey = function (publicKey, recipients, fee) {
        return __awaiter(this, void 0, void 0, function () {
            var balance, balanceWrapper, maxFee, estimatedFeeDefaults, amountWithoutFees;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.getBalanceOfPublicKey(publicKey)];
                    case 1:
                        balance = _a.sent();
                        balanceWrapper = (new bignumber_1.default(balance)).minus(1) // Tezos accounts can never be empty. We must leave at least 1 mutez behind.
                        ;
                        if (!(fee !== undefined)) return [3 /*break*/, 2];
                        maxFee = new bignumber_1.default(fee);
                        return [3 /*break*/, 4];
                    case 2: return [4 /*yield*/, this.estimateFeeDefaultsFromPublicKey(publicKey, recipients, [balanceWrapper.toFixed()])];
                    case 3:
                        estimatedFeeDefaults = _a.sent();
                        maxFee = new bignumber_1.default(estimatedFeeDefaults.medium).shiftedBy(this.decimals);
                        if (maxFee.gte(balanceWrapper)) {
                            maxFee = new bignumber_1.default(0);
                        }
                        _a.label = 4;
                    case 4:
                        amountWithoutFees = balanceWrapper.minus(maxFee);
                        if (amountWithoutFees.isNegative()) {
                            amountWithoutFees = new bignumber_1.default(0);
                        }
                        return [2 /*return*/, amountWithoutFees.toFixed()];
                }
            });
        });
    };
    TezosProtocol.prototype.estimateFeeDefaultsFromPublicKey = function (publicKey, recipients, values, data) {
        return __awaiter(this, void 0, void 0, function () {
            var operations, i, value, recipient, transaction;
            return __generator(this, function (_a) {
                if (recipients.length !== values.length) {
                    throw new Error('length of recipients and values does not match!');
                }
                operations = [];
                for (i = 0; i < values.length; ++i) {
                    value = values[i];
                    recipient = recipients[i];
                    transaction = {
                        kind: TezosOperationType_1.TezosOperationType.TRANSACTION,
                        amount: value,
                        destination: recipient,
                        fee: '0'
                    };
                    operations.push(transaction);
                }
                if (recipients.length === 0) {
                    return [2 /*return*/, this.feeDefaults];
                }
                return [2 /*return*/, this.estimateFeeDefaultsForOperations(publicKey, operations)];
            });
        });
    };
    TezosProtocol.prototype.estimateFeeDefaultsForOperations = function (publicKey, operations) {
        return __awaiter(this, void 0, void 0, function () {
            var estimated, hasReveal, estimatedFee, feeStepFactor, lowFee, mediumFee, highFee;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.prepareOperations(publicKey, operations)];
                    case 1:
                        estimated = _a.sent();
                        hasReveal = estimated.contents.some(function (op) { return op.kind === TezosOperationType_1.TezosOperationType.REVEAL; });
                        estimatedFee = estimated.contents
                            .reduce(function (current, next) {
                            if (next.fee !== undefined) {
                                return current.plus(new bignumber_1.default(next['fee']));
                            }
                            return current;
                        }, new bignumber_1.default(0))
                            .minus(hasReveal ? this.revealFee : 0)
                            .div(hasReveal ? estimated.contents.length - 1 : estimated.contents.length);
                        feeStepFactor = new bignumber_1.default(0.1);
                        lowFee = estimatedFee.minus(estimatedFee.times(feeStepFactor).integerValue(bignumber_1.default.ROUND_FLOOR));
                        mediumFee = estimatedFee;
                        highFee = mediumFee.plus(mediumFee.times(feeStepFactor).integerValue(bignumber_1.default.ROUND_FLOOR));
                        return [2 /*return*/, {
                                low: lowFee.shiftedBy(-this.feeDecimals).toFixed(),
                                medium: mediumFee.shiftedBy(-this.feeDecimals).toFixed(),
                                high: highFee.shiftedBy(-this.feeDecimals).toFixed()
                            }];
                }
            });
        });
    };
    TezosProtocol.prototype.prepareTransactionFromPublicKey = function (publicKey, recipients, values, fee, data) {
        return __awaiter(this, void 0, void 0, function () {
            var transactions;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (recipients.length !== values.length) {
                            throw new Error('length of recipients and values does not match!');
                        }
                        if (recipients.length > MAX_OPERATIONS_PER_GROUP) {
                            throw new Error("this transaction exceeds the maximum allowed number of transactions per operation (" + MAX_OPERATIONS_PER_GROUP + "). Please use the \"prepareTransactionsFromPublicKey\" method instead.");
                        }
                        return [4 /*yield*/, this.prepareTransactionsFromPublicKey(publicKey, recipients, values, fee, data)];
                    case 1:
                        transactions = _a.sent();
                        if (transactions.length === 1) {
                            return [2 /*return*/, transactions[0]];
                        }
                        else {
                            throw new Error('Transaction could not be prepared. More or less than 1 operations have been generated.');
                        }
                        return [2 /*return*/];
                }
            });
        });
    };
    TezosProtocol.prototype.prepareTransactionsFromPublicKey = function (publicKey, recipients, values, fee, data, operationsPerGroup) {
        if (operationsPerGroup === void 0) { operationsPerGroup = MAX_OPERATIONS_PER_GROUP; }
        return __awaiter(this, void 0, void 0, function () {
            var wrappedValues, wrappedFee, counter, branch, operations, addressIndex, addresses, address, results, accountManager, _a, _b, error_2, balance, _c, wrappedOperations, allOperations, numberOfGroups, i, start, end, operationsGroup, wrappedOperationWithEstimatedGas, _d, _e;
            return __generator(this, function (_f) {
                switch (_f.label) {
                    case 0:
                        wrappedValues = values.map(function (value) { return new bignumber_1.default(value); });
                        wrappedFee = new bignumber_1.default(fee);
                        if (recipients.length !== wrappedValues.length) {
                            throw new Error('length of recipients and values does not match!');
                        }
                        counter = new bignumber_1.default(1);
                        operations = [];
                        addressIndex = data && data.addressIndex ? data.addressIndex : 0;
                        return [4 /*yield*/, this.getAddressesFromPublicKey(publicKey)];
                    case 1:
                        addresses = _f.sent();
                        if (!addresses[addressIndex]) {
                            throw new Error('no kt-address with this index exists');
                        }
                        address = addresses[addressIndex];
                        _f.label = 2;
                    case 2:
                        _f.trys.push([2, 6, , 7]);
                        return [4 /*yield*/, Promise.all([
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address + "/counter"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/hash"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address + "/manager_key")
                            ])];
                    case 3:
                        results = _f.sent();
                        counter = new bignumber_1.default(results[0].data).plus(1);
                        branch = results[1].data;
                        accountManager = results[2].data;
                        if (!!accountManager) return [3 /*break*/, 5];
                        _b = (_a = operations).push;
                        return [4 /*yield*/, this.createRevealOperation(counter, publicKey, address)];
                    case 4:
                        _b.apply(_a, [_f.sent()]);
                        counter = counter.plus(1);
                        _f.label = 5;
                    case 5: return [3 /*break*/, 7];
                    case 6:
                        error_2 = _f.sent();
                        throw error_2;
                    case 7:
                        _c = bignumber_1.default.bind;
                        return [4 /*yield*/, this.getBalanceOfPublicKey(publicKey)];
                    case 8:
                        balance = new (_c.apply(bignumber_1.default, [void 0, _f.sent()]))();
                        wrappedOperations = [];
                        return [4 /*yield*/, this.createTransactionOperations(operations, recipients, wrappedValues, wrappedFee, address, counter, balance)];
                    case 9:
                        allOperations = _f.sent();
                        allOperations = operations.concat(allOperations); // if we have a reveal in operations, we need to make sure it is present in the allOperations array
                        numberOfGroups = Math.ceil(allOperations.length / operationsPerGroup);
                        i = 0;
                        _f.label = 10;
                    case 10:
                        if (!(i < numberOfGroups)) return [3 /*break*/, 14];
                        start = i * operationsPerGroup;
                        end = start + operationsPerGroup;
                        operationsGroup = allOperations.slice(start, end);
                        return [4 /*yield*/, this.estimateAndReplaceLimitsAndFee({
                                branch: branch,
                                contents: operationsGroup
                            }, false)];
                    case 11:
                        wrappedOperationWithEstimatedGas = _f.sent();
                        _e = (_d = wrappedOperations).push;
                        return [4 /*yield*/, this.forgeAndWrapOperations(wrappedOperationWithEstimatedGas)];
                    case 12:
                        _e.apply(_d, [_f.sent()]);
                        _f.label = 13;
                    case 13:
                        i++;
                        return [3 /*break*/, 10];
                    case 14: return [2 /*return*/, wrappedOperations];
                }
            });
        });
    };
    TezosProtocol.prototype.getTransactionOperationDetails = function (transactionOperation) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, [
                        {
                            from: [transactionOperation.source],
                            amount: new bignumber_1.default(transactionOperation.amount).toFixed(),
                            to: [transactionOperation.destination] // contract destination but should be the address of actual receiver
                        }
                    ]];
            });
        });
    };
    TezosProtocol.prototype.createTransactionOperations = function (previousOperations, recipients, wrappedValues, wrappedFee, address, counter, balance) {
        return __awaiter(this, void 0, void 0, function () {
            var amountUsedByPreviousOperations, operations, i, receivingBalance, _a, spendOperation;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        amountUsedByPreviousOperations = this.getAmountUsedByPreviousOperations(previousOperations);
                        operations = [];
                        if (!amountUsedByPreviousOperations.isZero()) {
                            if (balance.isLessThan(wrappedValues[0].plus(wrappedFee).plus(amountUsedByPreviousOperations))) {
                                // if not, make room for the init fee
                                wrappedValues[0] = wrappedValues[0].minus(amountUsedByPreviousOperations); // deduct fee from balance
                            }
                        }
                        i = 0;
                        _b.label = 1;
                    case 1:
                        if (!(i < recipients.length)) return [3 /*break*/, 4];
                        _a = bignumber_1.default.bind;
                        return [4 /*yield*/, this.getBalanceOfAddresses([recipients[i]])];
                    case 2:
                        receivingBalance = new (_a.apply(bignumber_1.default, [void 0, _b.sent()]))();
                        // if our receiver has 0 balance, the account is not activated yet.
                        if (receivingBalance.isZero() && recipients[i].toLowerCase().startsWith('tz')) {
                            // We have to supply an additional 0.257 XTZ fee for storage_limit costs, which gets automatically deducted from the sender so we just have to make sure enough balance is around
                            if (balance.isLessThan(this.activationBurn.plus(wrappedFee))) {
                                // If we don't have enough funds to pay the activation + fee, we throw an error
                                throw new Error('Insufficient balance to pay activation burn!');
                            }
                            else if (balance.isLessThan(wrappedValues[i].plus(wrappedFee).plus(this.activationBurn))) {
                                // Check whether the sender has enough to cover the amount to send + fee + activation
                                // If not, we deduct it from amount sent to make room for the activation burn
                                wrappedValues[i] = wrappedValues[i].minus(this.activationBurn); // deduct fee from balance
                            }
                        }
                        if (balance.isEqualTo(wrappedValues[i].plus(wrappedFee))) {
                            // Tezos accounts can never be empty. If user tries to send everything, we must leave 1 mutez behind.
                            wrappedValues[i] = wrappedValues[i].minus(1);
                        }
                        else if (balance.isLessThan(wrappedValues[i].plus(wrappedFee))) {
                            throw new Error('not enough balance');
                        }
                        spendOperation = {
                            kind: TezosOperationType_1.TezosOperationType.TRANSACTION,
                            fee: wrappedFee.toFixed(),
                            gas_limit: GAS_LIMIT_PLACEHOLDER,
                            storage_limit: STORAGE_LIMIT_PLACEHOLDER,
                            amount: wrappedValues[i].toFixed(),
                            counter: counter.plus(i).toFixed(),
                            destination: recipients[i],
                            source: address
                        };
                        operations.push(spendOperation);
                        _b.label = 3;
                    case 3:
                        i++;
                        return [3 /*break*/, 1];
                    case 4: return [2 /*return*/, operations];
                }
            });
        });
    };
    TezosProtocol.prototype.forgeAndWrapOperations = function (tezosWrappedOperation) {
        return __awaiter(this, void 0, void 0, function () {
            var binaryTx, error_3;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, this.forgeTezosOperation(tezosWrappedOperation)];
                    case 1:
                        binaryTx = _a.sent();
                        return [2 /*return*/, { binaryTransaction: binaryTx }];
                    case 2:
                        error_3 = _a.sent();
                        console.warn(error_3.message);
                        throw new Error('Forging Tezos TX failed.');
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    TezosProtocol.prototype.getDefaultDelegatee = function () {
        return __awaiter(this, void 0, void 0, function () {
            var activeBakers;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/delegates?active")];
                    case 1:
                        activeBakers = (_a.sent()).data;
                        return [2 /*return*/, activeBakers[0] || ''];
                }
            });
        });
    };
    TezosProtocol.prototype.getCurrentDelegateesForPublicKey = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.getCurrentDelegateesForAddress;
                        return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1: return [2 /*return*/, _a.apply(this, [_b.sent()])];
                }
            });
        });
    };
    TezosProtocol.prototype.getCurrentDelegateesForAddress = function (address) {
        return __awaiter(this, void 0, void 0, function () {
            var data;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address)];
                    case 1:
                        data = (_a.sent()).data;
                        return [2 /*return*/, data.delegate ? [data.delegate] : []];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegateeDetails = function (address) {
        return __awaiter(this, void 0, void 0, function () {
            var response, isBakingActive;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/delegates/" + address + "/deactivated")];
                    case 1:
                        response = _a.sent();
                        isBakingActive = !response.data;
                        return [2 /*return*/, {
                                status: isBakingActive ? 'Active' : 'Inactive',
                                address: address
                            }];
                }
            });
        });
    };
    TezosProtocol.prototype.isPublicKeyDelegating = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.isAddressDelegating;
                        return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1: return [2 /*return*/, _a.apply(this, [_b.sent()])];
                }
            });
        });
    };
    TezosProtocol.prototype.isAddressDelegating = function (address) {
        return __awaiter(this, void 0, void 0, function () {
            var data;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address)];
                    case 1:
                        data = (_a.sent()).data;
                        return [2 /*return*/, !!data.delegate];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegatorDetailsFromPublicKey = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.getDelegatorDetailsFromAddress;
                        return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1: return [2 /*return*/, _a.apply(this, [_b.sent()])];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegatorDetailsFromAddress = function (address) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, this.getDelegatorDetails(address)];
            });
        });
    };
    TezosProtocol.prototype.getDelegationDetailsFromPublicKey = function (publicKey, delegatees) {
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this.getDelegationDetailsFromAddress;
                        return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1: return [2 /*return*/, _a.apply(this, [_b.sent(), delegatees])];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegationDetailsFromAddress = function (address, delegatees) {
        return __awaiter(this, void 0, void 0, function () {
            var bakerAddress, results, delegatorDetails, bakerDetails;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (delegatees.length > 1) {
                            return [2 /*return*/, Promise.reject('Multiple delegation is not supported.')];
                        }
                        bakerAddress = delegatees[0];
                        return [4 /*yield*/, Promise.all([this.getDelegatorDetails(address, bakerAddress), this.getDelegateeDetails(bakerAddress)])];
                    case 1:
                        results = _a.sent();
                        delegatorDetails = results[0];
                        bakerDetails = results[1];
                        return [2 /*return*/, {
                                delegator: delegatorDetails,
                                delegatees: [bakerDetails]
                            }];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegatorDetails = function (address, bakerAddress) {
        return __awaiter(this, void 0, void 0, function () {
            var results, accountDetails, rewardInfo, balance, isDelegating, availableActions, rewards;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, Promise.all([
                            index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address),
                            this.getDelegationRewardsForAddress(address).catch(function () { return []; })
                        ])];
                    case 1:
                        results = _a.sent();
                        accountDetails = results[0].data;
                        rewardInfo = results[1];
                        balance = accountDetails.balance;
                        isDelegating = !!accountDetails.delegate;
                        availableActions = [];
                        if (!isDelegating) {
                            availableActions.push({
                                type: TezosDelegatorAction.DELEGATE,
                                args: ['delegate']
                            });
                        }
                        else if (!bakerAddress || accountDetails.delegate === bakerAddress) {
                            availableActions.push({
                                type: TezosDelegatorAction.UNDELEGATE
                            });
                        }
                        else {
                            availableActions.push({
                                type: TezosDelegatorAction.CHANGE_BAKER,
                                args: ['delegate']
                            });
                        }
                        rewards = isDelegating
                            ? rewardInfo.map(function (reward) { return ({
                                index: reward.cycle,
                                amount: reward.reward.toFixed(),
                                collected: reward.payout < new Date(),
                                timestamp: reward.payout.getTime()
                            }); })
                            : [];
                        return [2 /*return*/, {
                                address: address,
                                balance: balance,
                                delegatees: [accountDetails.delegate],
                                availableActions: availableActions,
                                rewards: rewards
                            }];
                }
            });
        });
    };
    TezosProtocol.prototype.prepareDelegatorActionFromPublicKey = function (publicKey, type, data) {
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = type;
                        switch (_a) {
                            case TezosDelegatorAction.DELEGATE: return [3 /*break*/, 1];
                            case TezosDelegatorAction.CHANGE_BAKER: return [3 /*break*/, 1];
                            case TezosDelegatorAction.UNDELEGATE: return [3 /*break*/, 3];
                        }
                        return [3 /*break*/, 5];
                    case 1:
                        if (!data || !data.delegate) {
                            return [2 /*return*/, Promise.reject("Invalid arguments passed for " + type + " action, delegate is missing.")];
                        }
                        return [4 /*yield*/, this.delegate(publicKey, data.delegate)];
                    case 2: return [2 /*return*/, [_b.sent()]];
                    case 3: return [4 /*yield*/, this.undelegate(publicKey)];
                    case 4: return [2 /*return*/, [_b.sent()]];
                    case 5: return [2 /*return*/, Promise.reject('Unsupported delegator action.')];
                }
            });
        });
    };
    TezosProtocol.prototype.prepareOperations = function (publicKey, operationRequests, overrideFees) {
        if (overrideFees === void 0) { overrideFees = true; }
        return __awaiter(this, void 0, void 0, function () {
            var counter, branch, operations, address, results, accountManager, hasRevealInOperationRequests, _a, _b, error_4, operationPromises, _c, _d, _e, tezosWrappedOperation;
            var _this = this;
            return __generator(this, function (_f) {
                switch (_f.label) {
                    case 0:
                        counter = new bignumber_1.default(1);
                        operations = [];
                        return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1:
                        address = _f.sent();
                        _f.label = 2;
                    case 2:
                        _f.trys.push([2, 6, , 7]);
                        return [4 /*yield*/, Promise.all([
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address + "/counter"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/hash"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + address + "/manager_key")
                            ])];
                    case 3:
                        results = _f.sent();
                        counter = new bignumber_1.default(results[0].data).plus(1);
                        branch = results[1].data;
                        accountManager = results[2].data;
                        hasRevealInOperationRequests = operationRequests.some(function (request) { return request.kind === TezosOperationType_1.TezosOperationType.REVEAL; });
                        if (!(!accountManager && !hasRevealInOperationRequests)) return [3 /*break*/, 5];
                        _b = (_a = operations).push;
                        return [4 /*yield*/, this.createRevealOperation(counter, publicKey, address)];
                    case 4:
                        _b.apply(_a, [_f.sent()]);
                        counter = counter.plus(1);
                        _f.label = 5;
                    case 5: return [3 /*break*/, 7];
                    case 6:
                        error_4 = _f.sent();
                        throw error_4;
                    case 7:
                        operationPromises = operationRequests.map(function (operationRequest, index) { return __awaiter(_this, void 0, void 0, function () {
                            var recipient, receivingBalance, _a, defaultCounter, defaultFee, defaultGasLimit, defaultStorageLimit, revealOperation, delegationOperation, transactionOperation, originationOperation;
                            var _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w;
                            return __generator(this, function (_x) {
                                switch (_x.label) {
                                    case 0:
                                        // TODO: Handle activation burn
                                        if (!operationRequest.kind) {
                                            throw new Error('property "kind" was not defined');
                                        }
                                        recipient = operationRequest.destination;
                                        if (!(recipient && recipient.toLowerCase().startsWith('tz'))) return [3 /*break*/, 2];
                                        _a = bignumber_1.default.bind;
                                        return [4 /*yield*/, this.getBalanceOfAddresses([recipient])];
                                    case 1:
                                        receivingBalance = new (_a.apply(bignumber_1.default, [void 0, _x.sent()]))();
                                        _x.label = 2;
                                    case 2:
                                        defaultCounter = counter.plus(index).toFixed() // TODO: Handle counter if we have some operations without counters in the array
                                        ;
                                        defaultFee = new bignumber_1.default(this.feeDefaults.low).shiftedBy(this.decimals).toFixed();
                                        defaultGasLimit = '10300';
                                        defaultStorageLimit = receivingBalance && receivingBalance.isZero() && recipient && recipient.toLowerCase().startsWith('tz') ? '300' : '0' // taken from eztz
                                        ;
                                        switch (operationRequest.kind) {
                                            // TODO: Handle if the dApp already provides a reveal operation
                                            case TezosOperationType_1.TezosOperationType.REVEAL:
                                                revealOperation = operationRequest;
                                                if (!revealOperation.public_key) {
                                                    throw new Error('property "public_key" was not defined');
                                                }
                                                revealOperation.source = (_b = revealOperation.source, (_b !== null && _b !== void 0 ? _b : address));
                                                revealOperation.counter = (_c = revealOperation.counter, (_c !== null && _c !== void 0 ? _c : defaultCounter));
                                                revealOperation.fee = (_d = revealOperation.fee, (_d !== null && _d !== void 0 ? _d : defaultFee));
                                                revealOperation.gas_limit = (_e = revealOperation.gas_limit, (_e !== null && _e !== void 0 ? _e : defaultGasLimit));
                                                revealOperation.storage_limit = (_f = revealOperation.storage_limit, (_f !== null && _f !== void 0 ? _f : defaultStorageLimit));
                                                return [2 /*return*/, revealOperation];
                                            case TezosOperationType_1.TezosOperationType.DELEGATION:
                                                delegationOperation = operationRequest;
                                                // The delegate property is optional, so we don't have any mandatory properties to check for
                                                delegationOperation.source = (_g = delegationOperation.source, (_g !== null && _g !== void 0 ? _g : address));
                                                delegationOperation.counter = (_h = delegationOperation.counter, (_h !== null && _h !== void 0 ? _h : defaultCounter));
                                                delegationOperation.fee = (_j = delegationOperation.fee, (_j !== null && _j !== void 0 ? _j : defaultFee));
                                                delegationOperation.gas_limit = (_k = delegationOperation.gas_limit, (_k !== null && _k !== void 0 ? _k : defaultGasLimit));
                                                delegationOperation.storage_limit = (_l = delegationOperation.storage_limit, (_l !== null && _l !== void 0 ? _l : defaultStorageLimit));
                                                return [2 /*return*/, delegationOperation];
                                            case TezosOperationType_1.TezosOperationType.TRANSACTION:
                                                transactionOperation = operationRequest;
                                                if (!transactionOperation.amount) {
                                                    throw new Error('property "amount" was not defined');
                                                }
                                                if (!transactionOperation.destination) {
                                                    throw new Error('property "destination" was not defined');
                                                }
                                                transactionOperation.source = (_m = transactionOperation.source, (_m !== null && _m !== void 0 ? _m : address));
                                                transactionOperation.counter = (_o = transactionOperation.counter, (_o !== null && _o !== void 0 ? _o : defaultCounter));
                                                transactionOperation.fee = (_p = transactionOperation.fee, (_p !== null && _p !== void 0 ? _p : defaultFee));
                                                transactionOperation.gas_limit = (_q = transactionOperation.gas_limit, (_q !== null && _q !== void 0 ? _q : GAS_LIMIT_PLACEHOLDER));
                                                transactionOperation.storage_limit = (_r = transactionOperation.storage_limit, (_r !== null && _r !== void 0 ? _r : STORAGE_LIMIT_PLACEHOLDER));
                                                return [2 /*return*/, transactionOperation];
                                            case TezosOperationType_1.TezosOperationType.ORIGINATION:
                                                originationOperation = operationRequest;
                                                if (!originationOperation.balance) {
                                                    throw new Error('property "balance" was not defined');
                                                }
                                                if (!originationOperation.script) {
                                                    throw new Error('property "script" was not defined');
                                                }
                                                originationOperation.source = (_s = originationOperation.source, (_s !== null && _s !== void 0 ? _s : address));
                                                originationOperation.counter = (_t = originationOperation.counter, (_t !== null && _t !== void 0 ? _t : defaultCounter));
                                                originationOperation.fee = (_u = originationOperation.fee, (_u !== null && _u !== void 0 ? _u : defaultFee));
                                                originationOperation.gas_limit = (_v = originationOperation.gas_limit, (_v !== null && _v !== void 0 ? _v : GAS_LIMIT_PLACEHOLDER));
                                                originationOperation.storage_limit = (_w = originationOperation.storage_limit, (_w !== null && _w !== void 0 ? _w : STORAGE_LIMIT_PLACEHOLDER));
                                                return [2 /*return*/, originationOperation];
                                            case TezosOperationType_1.TezosOperationType.ENDORSEMENT:
                                            case TezosOperationType_1.TezosOperationType.SEED_NONCE_REVELATION:
                                            case TezosOperationType_1.TezosOperationType.DOUBLE_ENDORSEMENT_EVIDENCE:
                                            case TezosOperationType_1.TezosOperationType.DOUBLE_BAKING_EVIDENCE:
                                            case TezosOperationType_1.TezosOperationType.ACTIVATE_ACCOUNT:
                                            case TezosOperationType_1.TezosOperationType.PROPOSALS:
                                            case TezosOperationType_1.TezosOperationType.BALLOT:
                                                // Do not change anything
                                                return [2 /*return*/, operationRequest];
                                            default:
                                                assert_1.assertNever(operationRequest.kind);
                                                throw new Error("unsupported operation type \"" + operationRequest.kind + "\"");
                                        }
                                        return [2 /*return*/];
                                }
                            });
                        }); });
                        _d = (_c = operations.push).apply;
                        _e = [operations];
                        return [4 /*yield*/, Promise.all(operationPromises)];
                    case 8:
                        _d.apply(_c, _e.concat([(_f.sent())]));
                        tezosWrappedOperation = {
                            branch: branch,
                            contents: operations
                        };
                        return [2 /*return*/, this.estimateAndReplaceLimitsAndFee(tezosWrappedOperation, overrideFees)];
                }
            });
        });
    };
    TezosProtocol.prototype.estimateAndReplaceLimitsAndFee = function (tezosWrappedOperation, overrideFees) {
        if (overrideFees === void 0) { overrideFees = true; }
        return __awaiter(this, void 0, void 0, function () {
            var fakeSignature, block, body, forgedOperation, gasLimitTotal, response, fee, feePerOperation_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        fakeSignature = 'sigUHx32f9wesZ1n2BWpixXz4AQaZggEtchaQNHYGRCoWNAXx45WGW2ua3apUUUAGMLPwAU41QoaFCzVSL61VaessLg4YbbP';
                        return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/")];
                    case 1:
                        block = (_a.sent()).data;
                        body = {
                            chain_id: block.chain_id,
                            operation: {
                                branch: tezosWrappedOperation.branch,
                                contents: tezosWrappedOperation.contents,
                                signature: fakeSignature // signature will not be checked, so it is ok to always use this one
                            }
                        };
                        return [4 /*yield*/, this.forgeTezosOperation(tezosWrappedOperation)];
                    case 2:
                        forgedOperation = _a.sent();
                        gasLimitTotal = 0;
                        return [4 /*yield*/, index_1.default
                                .post(this.options.network.rpcUrl + "/chains/main/blocks/head/helpers/scripts/run_operation", body, {
                                headers: { 'Content-Type': 'application/json' }
                            })
                                .catch(function (runOperationError) {
                                console.error('runOperationError', runOperationError.response ? runOperationError.response : runOperationError);
                                throw new ErrorWithData_1.ErrorWithData('Run operation error', runOperationError.response ? runOperationError.response : runOperationError);
                            })];
                    case 3:
                        response = _a.sent();
                        if (tezosWrappedOperation.contents.length !== response.data.contents.length) {
                            throw new Error("Run Operation did not return same number of operations. Locally we have " + tezosWrappedOperation.contents.length + ", but got back " + response.data.contents.length);
                        }
                        tezosWrappedOperation.contents.forEach(function (content, i) {
                            var metadata = response.data.contents[i].metadata;
                            if (metadata.operation_result) {
                                var operation = content;
                                var result = metadata.operation_result;
                                var gasLimit_1 = 0;
                                var storageLimit_1 = 0;
                                // If there are internal operations, we first add gas and storage used of internal operations
                                if (metadata.internal_operation_results) {
                                    metadata.internal_operation_results.forEach(function (internalOperation) {
                                        var _a;
                                        if ((_a = internalOperation) === null || _a === void 0 ? void 0 : _a.result) {
                                            if (internalOperation.result.errors) {
                                                throw new ErrorWithData_1.ErrorWithData('Internal operation errors', internalOperation.result.errors);
                                            }
                                            gasLimit_1 += Number(internalOperation.result.consumed_gas);
                                            if (internalOperation.result.paid_storage_size_diff) {
                                                storageLimit_1 += Number(internalOperation.result.paid_storage_size_diff);
                                            }
                                            if (internalOperation.result.originated_contracts) {
                                                storageLimit_1 += internalOperation.result.originated_contracts.length * 257;
                                            }
                                            if (internalOperation.result.allocated_destination_contract) {
                                                storageLimit_1 += 257;
                                            }
                                        }
                                    });
                                }
                                if (result.errors) {
                                    throw new ErrorWithData_1.ErrorWithData('Operation errors', result.errors);
                                }
                                // Add gas and storage used by operation
                                gasLimit_1 += Number(result.consumed_gas);
                                if (result.paid_storage_size_diff) {
                                    storageLimit_1 += Number(result.paid_storage_size_diff);
                                }
                                if (result.originated_contracts) {
                                    storageLimit_1 += result.originated_contracts.length * 257;
                                }
                                if (result.allocated_destination_contract) {
                                    storageLimit_1 += 257;
                                }
                                if (operation.gas_limit) {
                                    ;
                                    operation.gas_limit = gasLimit_1.toString();
                                }
                                if (operation.storage_limit) {
                                    ;
                                    operation.storage_limit = storageLimit_1.toString();
                                }
                                gasLimitTotal += gasLimit_1;
                            }
                        });
                        if (overrideFees) {
                            fee = MINIMAL_FEE +
                                MINIMAL_FEE_PER_BYTE * Math.ceil((forgedOperation.length + 128) / 2) + // 128 is the length of a hex signature
                                MINIMAL_FEE_PER_GAS_UNIT * gasLimitTotal +
                                100 // add 100 for safety
                            ;
                            feePerOperation_1 = Math.ceil(fee / tezosWrappedOperation.contents.length);
                            tezosWrappedOperation.contents.forEach(function (operation) {
                                if (operation.fee) {
                                    ;
                                    operation.fee = feePerOperation_1.toString();
                                }
                            });
                        }
                        return [2 /*return*/, tezosWrappedOperation];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegationInfo = function (delegatedAddress, fetchExtraInfo) {
        if (fetchExtraInfo === void 0) { fetchExtraInfo = true; }
        return __awaiter(this, void 0, void 0, function () {
            var data, delegatedOpLevel, delegatedDate, getDataFromMostRecentTransaction, getRequestBody, transactionSourceUrl, results, combinedData, recentTransactionData;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + delegatedAddress)];
                    case 1:
                        data = (_a.sent()).data;
                        if (!(data.delegate && fetchExtraInfo)) return [3 /*break*/, 3];
                        getDataFromMostRecentTransaction = function (transactions) {
                            if (transactions.length > 0) {
                                var mostRecentTransaction = transactions[0];
                                return {
                                    date: new Date(mostRecentTransaction.timestamp),
                                    opLevel: mostRecentTransaction.block_level
                                };
                            }
                        };
                        getRequestBody = function (field, set) {
                            return {
                                predicates: [
                                    {
                                        field: field,
                                        operation: 'eq',
                                        set: [delegatedAddress],
                                        inverse: false
                                    },
                                    {
                                        field: 'kind',
                                        operation: 'eq',
                                        set: [set],
                                        inverse: false
                                    }
                                ],
                                orderBy: [
                                    {
                                        field: 'block_level',
                                        direction: 'desc'
                                    }
                                ]
                            };
                        };
                        transactionSourceUrl = this.options.network.extras.conseilUrl + "/v2/data/tezos/" + this.options.network.extras.conseilNetwork + "/operations";
                        return [4 /*yield*/, Promise.all([
                                index_1.default
                                    .post(transactionSourceUrl, getRequestBody('source', 'delegation'), {
                                    headers: this.headers
                                })
                                    .catch(function () {
                                    return { data: [] };
                                }),
                                index_1.default
                                    .post(transactionSourceUrl, getRequestBody('manager_pubkey', 'origination'), {
                                    headers: this.headers
                                })
                                    .catch(function () {
                                    return { data: [] };
                                })
                            ])];
                    case 2:
                        results = _a.sent();
                        combinedData = results[0].data.concat(results[1].data);
                        recentTransactionData = getDataFromMostRecentTransaction(combinedData);
                        if (recentTransactionData) {
                            delegatedDate = recentTransactionData.date;
                            delegatedOpLevel = recentTransactionData.opLevel;
                        }
                        _a.label = 3;
                    case 3: return [2 /*return*/, {
                            isDelegated: data.delegate ? true : false,
                            value: data.delegate,
                            delegatedDate: delegatedDate,
                            delegatedOpLevel: delegatedOpLevel
                        }];
                }
            });
        });
    };
    TezosProtocol.prototype.bakerInfo = function (tzAddress) {
        return __awaiter(this, void 0, void 0, function () {
            var results, tzBalance, delegatedBalance, stakingBalance, selfBond, stakingCapacity, bakerInfo;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (!tzAddress ||
                            !(tzAddress.toLowerCase().startsWith('tz1') || tzAddress.toLowerCase().startsWith('tz2') || tzAddress.toLowerCase().startsWith('tz3'))) {
                            throw new Error('non tz-address supplied');
                        }
                        return [4 /*yield*/, Promise.all([
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/delegates/" + tzAddress + "/balance"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/delegates/" + tzAddress + "/delegated_balance"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/delegates/" + tzAddress + "/staking_balance")
                            ])];
                    case 1:
                        results = _a.sent();
                        tzBalance = new bignumber_1.default(results[0].data);
                        delegatedBalance = new bignumber_1.default(results[1].data);
                        stakingBalance = new bignumber_1.default(results[2].data);
                        selfBond = stakingBalance.minus(delegatedBalance);
                        stakingCapacity = stakingBalance.div(selfBond.div(SELF_BOND_REQUIREMENT));
                        bakerInfo = {
                            balance: tzBalance,
                            delegatedBalance: delegatedBalance,
                            stakingBalance: stakingBalance,
                            selfBond: selfBond,
                            bakerCapacity: stakingBalance.div(stakingCapacity),
                            bakerUsage: stakingCapacity
                        };
                        return [2 /*return*/, bakerInfo];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegationRewardsForAddress = function (address) {
        return __awaiter(this, void 0, void 0, function () {
            var status;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.getDelegationInfo(address)];
                    case 1:
                        status = _a.sent();
                        if (!status.isDelegated || !status.value) {
                            throw new Error('address not delegated');
                        }
                        return [2 /*return*/, this.getDelegationRewards(status.value, address)];
                }
            });
        });
    };
    TezosProtocol.prototype.getDelegationRewards = function (bakerAddress, delegatorAddress) {
        return __awaiter(this, void 0, void 0, function () {
            var frozenBalance, lastConfirmedCycle, mostRecentCycle, mostRecentBlock, timestamp, address, delegationInfo;
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/delegates/" + bakerAddress + "/frozen_balance_by_cycle")];
                    case 1:
                        frozenBalance = (_a.sent()).data;
                        lastConfirmedCycle = frozenBalance[0].cycle - 1;
                        mostRecentCycle = frozenBalance[frozenBalance.length - 1].cycle;
                        return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/" + mostRecentCycle * TezosProtocol.BLOCKS_PER_CYCLE[this.options.network.extras.network])];
                    case 2:
                        mostRecentBlock = (_a.sent()).data;
                        timestamp = new Date(mostRecentBlock.header.timestamp);
                        address = (delegatorAddress !== null && delegatorAddress !== void 0 ? delegatorAddress : bakerAddress);
                        return [4 /*yield*/, Promise.all(frozenBalance.slice(0, 5).map(function (obj) { return __awaiter(_this, void 0, void 0, function () {
                                var rewards, delegatedBalance, payoutAmount, payout;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0: return [4 /*yield*/, this.calculateRewards(bakerAddress, obj.cycle, mostRecentCycle, false)];
                                        case 1:
                                            rewards = _a.sent();
                                            delegatedBalance = '0';
                                            payoutAmount = '0';
                                            if (!rewards.delegatedContracts.includes(address)) return [3 /*break*/, 3];
                                            return [4 /*yield*/, this.calculatePayout(address, rewards)];
                                        case 2:
                                            payout = _a.sent();
                                            delegatedBalance = payout.balance;
                                            payoutAmount = payout.payout;
                                            _a.label = 3;
                                        case 3: return [2 /*return*/, {
                                                cycle: obj.cycle,
                                                totalRewards: new bignumber_1.default(obj.rewards),
                                                totalFees: new bignumber_1.default(obj.fees),
                                                deposit: new bignumber_1.default(obj.deposit),
                                                delegatedBalance: new bignumber_1.default(delegatedBalance),
                                                stakingBalance: new bignumber_1.default(rewards.stakingBalance),
                                                reward: new bignumber_1.default(payoutAmount),
                                                payout: new Date(timestamp.getTime() +
                                                    (obj.cycle - lastConfirmedCycle) * TezosProtocol.BLOCKS_PER_CYCLE[this.options.network.extras.network] * 60 * 1000)
                                            }];
                                    }
                                });
                            }); }))];
                    case 3:
                        delegationInfo = _a.sent();
                        return [2 /*return*/, delegationInfo];
                }
            });
        });
    };
    TezosProtocol.prototype.undelegate = function (publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, this.delegate(publicKey)];
            });
        });
    };
    TezosProtocol.prototype.delegate = function (publicKey, delegate) {
        return __awaiter(this, void 0, void 0, function () {
            var counter, branch, operations, tzAddress, results, accountManager, _a, _b, error_5, balance, _c, fee, delegationOperation, tezosWrappedOperation, binaryTx, error_6;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0:
                        counter = new bignumber_1.default(1);
                        operations = [];
                        return [4 /*yield*/, this.getAddressFromPublicKey(publicKey)];
                    case 1:
                        tzAddress = _d.sent();
                        _d.label = 2;
                    case 2:
                        _d.trys.push([2, 6, , 7]);
                        return [4 /*yield*/, Promise.all([
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + tzAddress + "/counter"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/hash"),
                                index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/head/context/contracts/" + tzAddress + "/manager_key")
                            ])];
                    case 3:
                        results = _d.sent();
                        counter = new bignumber_1.default(results[0].data).plus(1);
                        branch = results[1].data;
                        accountManager = results[2].data;
                        if (!!accountManager) return [3 /*break*/, 5];
                        _b = (_a = operations).push;
                        return [4 /*yield*/, this.createRevealOperation(counter, publicKey, tzAddress)];
                    case 4:
                        _b.apply(_a, [_d.sent()]);
                        counter = counter.plus(1);
                        _d.label = 5;
                    case 5: return [3 /*break*/, 7];
                    case 6:
                        error_5 = _d.sent();
                        throw error_5;
                    case 7:
                        _c = bignumber_1.default.bind;
                        return [4 /*yield*/, this.getBalanceOfAddresses([tzAddress])];
                    case 8:
                        balance = new (_c.apply(bignumber_1.default, [void 0, _d.sent()]))();
                        fee = new bignumber_1.default(1420);
                        if (balance.isLessThan(fee)) {
                            throw new Error('not enough balance');
                        }
                        delegationOperation = {
                            kind: TezosOperationType_1.TezosOperationType.DELEGATION,
                            source: tzAddress,
                            fee: fee.toFixed(),
                            counter: counter.toFixed(),
                            gas_limit: '10000',
                            storage_limit: '0',
                            delegate: Array.isArray(delegate) ? delegate[0] : delegate
                        };
                        operations.push(delegationOperation);
                        _d.label = 9;
                    case 9:
                        _d.trys.push([9, 11, , 12]);
                        tezosWrappedOperation = {
                            branch: branch,
                            contents: operations
                        };
                        return [4 /*yield*/, this.forgeTezosOperation(tezosWrappedOperation)];
                    case 10:
                        binaryTx = _d.sent();
                        return [2 /*return*/, { binaryTransaction: binaryTx }];
                    case 11:
                        error_6 = _d.sent();
                        console.warn(error_6);
                        throw new Error('Forging Tezos TX failed.');
                    case 12: return [2 /*return*/];
                }
            });
        });
    };
    TezosProtocol.prototype.getAmountUsedByPreviousOperations = function (operations) {
        var amountUsed = new bignumber_1.default(0);
        operations.forEach(function (operation) {
            switch (operation.kind) {
                case TezosOperationType_1.TezosOperationType.REVEAL:
                    var revealOperation = operation;
                    amountUsed = amountUsed.plus(revealOperation.fee);
                    break;
                case TezosOperationType_1.TezosOperationType.ORIGINATION:
                    var originationOperation = operation;
                    amountUsed = amountUsed.plus(originationOperation.fee);
                    amountUsed = amountUsed.plus(originationOperation.balance);
                    break;
                case TezosOperationType_1.TezosOperationType.DELEGATION:
                    var delegationOperation = operation;
                    amountUsed = amountUsed.plus(delegationOperation.fee);
                    break;
                case TezosOperationType_1.TezosOperationType.TRANSACTION:
                    var spendOperation = operation;
                    amountUsed = amountUsed.plus(spendOperation.fee);
                    amountUsed = amountUsed.plus(spendOperation.amount);
                    break;
                case TezosOperationType_1.TezosOperationType.ENDORSEMENT:
                case TezosOperationType_1.TezosOperationType.SEED_NONCE_REVELATION:
                case TezosOperationType_1.TezosOperationType.DOUBLE_ENDORSEMENT_EVIDENCE:
                case TezosOperationType_1.TezosOperationType.DOUBLE_BAKING_EVIDENCE:
                case TezosOperationType_1.TezosOperationType.ACTIVATE_ACCOUNT:
                case TezosOperationType_1.TezosOperationType.PROPOSALS:
                case TezosOperationType_1.TezosOperationType.BALLOT:
                    break;
                default:
                    assert_1.assertNever(operation.kind); // Exhaustive switch
                    throw Error('operation type not supported' + operation.kind);
            }
        });
        return amountUsed;
    };
    TezosProtocol.prototype.broadcastTransaction = function (rawTransaction) {
        return __awaiter(this, void 0, void 0, function () {
            var payload, injectionResponse, err_1, axiosError;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        payload = rawTransaction;
                        _a.label = 1;
                    case 1:
                        _a.trys.push([1, 3, , 4]);
                        return [4 /*yield*/, index_1.default.post(this.options.network.rpcUrl + "/injection/operation?chain=main", JSON.stringify(payload), {
                                headers: { 'content-type': 'application/json' }
                            })
                            // returns hash if successful
                        ];
                    case 2:
                        injectionResponse = (_a.sent()).data;
                        // returns hash if successful
                        return [2 /*return*/, injectionResponse];
                    case 3:
                        err_1 = _a.sent();
                        axiosError = err_1;
                        if (axiosError.response !== undefined && axiosError.response.data !== undefined) {
                            throw new Error("broadcasting failed " + axiosError.response.data);
                        }
                        else {
                            throw new Error("broadcasting failed " + err_1);
                        }
                        return [3 /*break*/, 4];
                    case 4: return [2 /*return*/];
                }
            });
        });
    };
    TezosProtocol.prototype.checkAndRemovePrefixToHex = function (base58CheckEncodedPayload, tezosPrefix) {
        var prefixHex = Buffer.from(tezosPrefix).toString('hex');
        var payload = bs58check.decode(base58CheckEncodedPayload).toString('hex');
        if (payload.startsWith(prefixHex)) {
            return payload.substring(tezosPrefix.length * 2);
        }
        else {
            throw new Error("payload did not match prefix: " + prefixHex);
        }
    };
    TezosProtocol.prototype.unforgeSignedTezosWrappedOperation = function (hexString) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                if (hexString.length <= 128) {
                    throw new Error('Not a valid signed transaction');
                }
                return [2 /*return*/, this.unforgeUnsignedTezosWrappedOperation(hexString.substring(0, hexString.length - 128))];
            });
        });
    };
    TezosProtocol.prototype.unforgeUnsignedTezosWrappedOperation = function (hexString) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, taquito_local_forging_1.localForger.parse(hexString)];
            });
        });
    };
    TezosProtocol.prototype.forgeTezosOperation = function (tezosWrappedOperation) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, taquito_local_forging_1.localForger.forge(tezosWrappedOperation)];
            });
        });
    };
    TezosProtocol.prototype.createRevealOperation = function (counter, publicKey, address, fee) {
        if (fee === void 0) { fee = this.revealFee.toFixed(); }
        return __awaiter(this, void 0, void 0, function () {
            var operation;
            return __generator(this, function (_a) {
                operation = {
                    kind: TezosOperationType_1.TezosOperationType.REVEAL,
                    fee: fee,
                    gas_limit: '10000',
                    storage_limit: '0',
                    counter: counter.toFixed(),
                    public_key: bs58check.encode(Buffer.concat([this.tezosPrefixes.edpk, Buffer.from(publicKey, 'hex')])),
                    source: address
                };
                return [2 /*return*/, operation];
            });
        });
    };
    TezosProtocol.prototype.getTezosVotingInfo = function (blockHash) {
        return __awaiter(this, void 0, void 0, function () {
            var response;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/" + blockHash + "/votes/listings")];
                    case 1:
                        response = _a.sent();
                        return [2 /*return*/, response.data];
                }
            });
        });
    };
    TezosProtocol.prototype.fetchCurrentCycle = function () {
        return __awaiter(this, void 0, void 0, function () {
            var headMetadata, currentCycle;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.fetchBlockMetadata('head')];
                    case 1:
                        headMetadata = _a.sent();
                        currentCycle = headMetadata.level.cycle;
                        return [2 /*return*/, currentCycle];
                }
            });
        });
    };
    TezosProtocol.prototype.calculateRewards = function (bakerAddress, cycle, currentCycle, breakDownRewards) {
        if (breakDownRewards === void 0) { breakDownRewards = true; }
        return __awaiter(this, void 0, void 0, function () {
            var is005, is006, rewardCalculation;
            return __generator(this, function (_a) {
                is005 = this.options.network.extras.network === TezosNetwork.MAINNET && cycle >= TezosProtocol.FIRST_005_CYCLE;
                is006 = this.options.network.extras.network !== TezosNetwork.MAINNET || cycle >= TezosProtocol.FIRST_006_CYCLE;
                if (is006) {
                    rewardCalculation = this.rewardCalculations.cartha;
                }
                else if (is005) {
                    rewardCalculation = this.rewardCalculations.babylon;
                }
                else {
                    rewardCalculation = this.rewardCalculations.alpha;
                }
                return [2 /*return*/, rewardCalculation.calculateRewards(bakerAddress, cycle, breakDownRewards, currentCycle)];
            });
        });
    };
    TezosProtocol.prototype.calculatePayouts = function (rewards, offsetOrAddresses, limit) {
        return __awaiter(this, void 0, void 0, function () {
            var delegators;
            return __generator(this, function (_a) {
                if (typeof offsetOrAddresses === 'number') {
                    if (limit === undefined) {
                        throw new Error('limit parameter is required when providing offset');
                    }
                    delegators = rewards.delegatedContracts.slice(offsetOrAddresses, Math.min(offsetOrAddresses + limit, rewards.delegatedContracts.length));
                }
                else {
                    delegators = offsetOrAddresses;
                }
                return [2 /*return*/, this.calculatePayoutForAddresses(delegators, rewards)];
            });
        });
    };
    TezosProtocol.prototype.calculatePayout = function (address, rewards) {
        return __awaiter(this, void 0, void 0, function () {
            var result;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.calculatePayoutForAddresses([address], rewards)];
                    case 1:
                        result = (_a.sent()).pop();
                        if (result === undefined) {
                            return [2 /*return*/, {
                                    delegator: address,
                                    share: '0',
                                    payout: '0',
                                    balance: '0'
                                }];
                        }
                        return [2 /*return*/, result];
                }
            });
        });
    };
    TezosProtocol.prototype.calculatePayoutForAddresses = function (addresses, rewards) {
        return __awaiter(this, void 0, void 0, function () {
            var result, totalRewardsBN, balances, _i, balances_1, balance, amount, share, payoutAmount;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        result = [];
                        totalRewardsBN = new bignumber_1.default(rewards.totalRewards).plus(new bignumber_1.default(rewards.fees));
                        return [4 /*yield*/, this.fetchBalances(addresses, rewards.snapshotBlockLevel)];
                    case 1:
                        balances = _a.sent();
                        for (_i = 0, balances_1 = balances; _i < balances_1.length; _i++) {
                            balance = balances_1[_i];
                            amount = balance.balance;
                            if (amount === undefined) {
                                amount = new bignumber_1.default(0);
                            }
                            share = amount.div(rewards.stakingBalance);
                            payoutAmount = totalRewardsBN.multipliedBy(share);
                            result.push({
                                delegator: balance.address,
                                share: share.toFixed(),
                                payout: payoutAmount.toFixed(),
                                balance: amount.toFixed()
                            });
                        }
                        return [2 /*return*/, result];
                }
            });
        });
    };
    TezosProtocol.prototype.fetchBlockMetadata = function (block) {
        return __awaiter(this, void 0, void 0, function () {
            var result;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, index_1.default.get(this.options.network.rpcUrl + "/chains/main/blocks/" + block + "/metadata")];
                    case 1:
                        result = _a.sent();
                        return [2 /*return*/, result.data];
                }
            });
        });
    };
    TezosProtocol.prototype.fetchBalances = function (addresses, blockLevel) {
        return __awaiter(this, void 0, void 0, function () {
            var body, result;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        body = {
                            fields: ['account_id', 'balance'],
                            predicates: [
                                {
                                    field: 'account_id',
                                    operation: 'in',
                                    set: addresses
                                }
                            ],
                            snapshot: {
                                field: 'block_level',
                                value: blockLevel
                            }
                        };
                        return [4 /*yield*/, index_1.default.post(this.options.network.extras.conseilUrl + "/v2/data/tezos/" + this.options.network.extras.conseilNetwork + "/accounts_history", body, {
                                headers: this.headers
                            })];
                    case 1:
                        result = _a.sent();
                        return [2 /*return*/, result.data.map(function (account) {
                                return {
                                    address: account.account_id,
                                    balance: new bignumber_1.default(account.balance)
                                };
                            })];
                }
            });
        });
    };
    TezosProtocol.prototype.signMessage = function (message, keypair) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, new TezosCryptoClient_1.TezosCryptoClient(this.tezosPrefixes.edsig).signMessage(message, keypair)];
            });
        });
    };
    TezosProtocol.prototype.verifyMessage = function (message, signature, publicKey) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, new TezosCryptoClient_1.TezosCryptoClient(this.tezosPrefixes.edsig).verifyMessage(message, signature, publicKey)];
            });
        });
    };
    TezosProtocol.prototype.getTransactionStatuses = function (transactionHashes) {
        return __awaiter(this, void 0, void 0, function () {
            var body, result, statusGroups;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        body = {
                            fields: ['status', 'operation_group_hash'],
                            predicates: [
                                {
                                    field: 'operation_group_hash',
                                    operation: 'in',
                                    set: transactionHashes
                                },
                                {
                                    field: 'kind',
                                    operation: 'eq',
                                    set: ['transaction']
                                }
                            ]
                        };
                        return [4 /*yield*/, index_1.default.post(this.options.network.extras.conseilUrl + "/v2/data/tezos/" + this.options.network.extras.conseilNetwork + "/operations", body, {
                                headers: this.headers
                            })];
                    case 1:
                        result = _a.sent();
                        statusGroups = {};
                        result.data.forEach(function (element) {
                            var currentStatus = element.status === 'applied' ? IAirGapTransaction_1.AirGapTransactionStatus.APPLIED : IAirGapTransaction_1.AirGapTransactionStatus.FAILED;
                            if (statusGroups[element.operation_group_hash] === IAirGapTransaction_1.AirGapTransactionStatus.FAILED) {
                                // If status is "failed", we can move on because it will not change anymore
                                return;
                            }
                            else if (statusGroups[element.operation_group_hash] === IAirGapTransaction_1.AirGapTransactionStatus.APPLIED) {
                                if (currentStatus === IAirGapTransaction_1.AirGapTransactionStatus.FAILED) {
                                    // If the status so far is "applied" but the current one "failed", we need to update the status
                                    statusGroups[element.operation_group_hash] = currentStatus;
                                }
                            }
                            else {
                                // If no status is set, use the current one
                                statusGroups[element.operation_group_hash] = currentStatus;
                            }
                        });
                        return [2 /*return*/, transactionHashes.map(function (txHash) {
                                return statusGroups[txHash];
                            })];
                }
            });
        });
    };
    TezosProtocol.FIRST_005_CYCLE = 160;
    TezosProtocol.FIRST_006_CYCLE = 208;
    TezosProtocol.BLOCKS_PER_CYCLE = {
        mainnet: 4096,
        babylonnet: 2048,
        carthagenet: 2048
    };
    return TezosProtocol;
}(NonExtendedProtocol_1.NonExtendedProtocol));
exports.TezosProtocol = TezosProtocol;
//# sourceMappingURL=TezosProtocol.js.map