"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TezosContractCall = /** @class */ (function () {
    function TezosContractCall(entrypoint, michelsonValue) {
        this.entrypoint = entrypoint;
        this.michelsonValue = michelsonValue;
    }
    TezosContractCall.prototype.args = function () {
        var _a;
        return (_a = this.michelsonValue) === null || _a === void 0 ? void 0 : _a.asRawValue();
    };
    TezosContractCall.prototype.toJSON = function () {
        return {
            entrypoint: this.entrypoint,
            value: this.michelsonValue ? this.michelsonValue.toMichelineJSON() : []
        };
    };
    return TezosContractCall;
}());
exports.TezosContractCall = TezosContractCall;
//# sourceMappingURL=TezosContractCall.js.map