import { TezosFA12Protocol } from './TezosFA12Protocol';
import { TezosFAProtocolOptions } from './TezosFAProtocolOptions';
export declare class TezosBTC extends TezosFA12Protocol {
    readonly options: TezosFAProtocolOptions;
    private static readonly bigMapKeyLedgerPrefix;
    constructor(options?: TezosFAProtocolOptions);
    getTotalMinted(source?: string, callbackContract?: string): Promise<string>;
    getTotalBurned(source?: string, callbackContract?: string): Promise<string>;
    fetchTokenHolders(): Promise<{
        address: string;
        amount: string;
    }[]>;
}
