import { Lazy } from '../../../../../data/Lazy';
import { MichelineDataNode } from '../../micheline/MichelineNode';
import { MichelsonType } from '../MichelsonType';
export declare class MichelsonList extends MichelsonType {
    readonly elements: Lazy<MichelsonType[]>;
    constructor(elements: Lazy<MichelsonType[]>, name?: string);
    static from(value: unknown, mappingFunction?: unknown, name?: string): MichelsonList;
    asRawValue(): Record<string, Record<string, any>[]> | Record<string, any>[];
    toMichelineJSON(): MichelineDataNode;
    eval(): void;
}
