import { MichelineDataNode, MichelinePrimitiveApplication } from '../../micheline/MichelineNode';
import { MichelsonGrammarData } from '../grammar/MichelsonGrammarData';
import { MichelsonType } from '../MichelsonType';
export declare class MichelsonBool extends MichelsonType {
    readonly value: boolean;
    constructor(value: boolean, name?: string);
    static from(value: unknown, name?: string): MichelsonBool;
    static fromMicheline(micheline: MichelinePrimitiveApplication<MichelsonGrammarData>, name?: string): MichelsonBool;
    static fromUnknown(unknownValue: unknown, name?: string): MichelsonBool;
    asRawValue(): Record<string, boolean> | boolean;
    toMichelineJSON(): MichelineDataNode;
}
