import { MichelineDataNode, MichelinePrimitive } from '../../micheline/MichelineNode';
import { MichelsonType } from '../MichelsonType';
export declare class MichelsonString extends MichelsonType {
    readonly value: string;
    constructor(value: string, name?: string);
    static from(value: unknown, name?: string): MichelsonString;
    static fromMicheline(micheline: MichelinePrimitive<'string'>, name?: string): MichelsonString;
    static fromUnknown(unknownValue: unknown, name?: string): MichelsonString;
    asRawValue(): Record<string, string> | string;
    toMichelineJSON(): MichelineDataNode;
}
