import { MichelineDataNode, MichelinePrimitiveApplication } from '../../micheline/MichelineNode';
import { MichelsonGrammarData } from '../grammar/MichelsonGrammarData';
import { MichelsonType } from '../MichelsonType';
export declare class MichelsonUnit extends MichelsonType {
    static from(value: unknown, name?: string): MichelsonUnit;
    static fromMicheline(micheline: MichelinePrimitiveApplication<MichelsonGrammarData>, name?: string): MichelsonUnit;
    asRawValue(): any;
    toMichelineJSON(): MichelineDataNode;
}
