import { MichelineNode, MichelinePrimitive, MichelinePrimitiveApplication } from './micheline/MichelineNode';
export declare function isMichelineNode(node: unknown): node is MichelineNode;
export declare function isMichelinePrimitive<T extends 'int' | 'string' | 'bytes'>(type: T, node: unknown): node is MichelinePrimitive<T>;
export declare function isMichelinePrimitiveApplication(node: unknown): node is MichelinePrimitiveApplication<any>;
export declare function isMichelineSequence(node: unknown, recursive?: boolean): node is MichelineNode[];
