import { SignedTezosTransaction } from '../schemas/definitions/signed-transaction-tezos';
import { UnsignedTezosTransaction } from '../schemas/definitions/unsigned-transaction-tezos';
import { TransactionValidator } from '../validators/transactions.validator';
export declare class TezosBTCTransactionValidator extends TransactionValidator {
    validateUnsignedTransaction(unsignedTx: UnsignedTezosTransaction): Promise<any>;
    validateSignedTransaction(signedTx: SignedTezosTransaction): Promise<any>;
    private assertDestination;
    private assertParameters;
    private assertNoHiddenXTZAmount;
}
