/**
 * Gets thrown if the serializer version does not match
 */
export declare class SerializerVersionMismatch extends Error {
    constructor();
}
/**
 * Gets thrown if the serializer cannot handle the specified coin/protocol
 */
export declare class ProtocolNotSupported extends Error {
    constructor();
}
/**
 * Gets thrown if the serializer CAN handle the specified coin/protocol, but not in this version
 */
export declare class ProtocolVersionMismatch extends Error {
    constructor();
}
/**
 * Gets thrown if the specified Type is not supported
 */
export declare class TypeNotSupported extends Error {
    constructor();
}
