/// <reference types="node" />
import { SerializedSyncProtocolSignedTransaction, SignedTransaction, SignedTransactionSerializer } from '../signed-transaction.serializer';
export declare type SerializedSignedSubstrateTransaction = [Buffer];
export interface SignedSubstrateTransaction extends SignedTransaction {
}
export declare class SubstrateSignedTransactionSerializer extends SignedTransactionSerializer {
    serialize(transaction: SignedSubstrateTransaction): SerializedSyncProtocolSignedTransaction;
    deserialize(serializedTx: SerializedSyncProtocolSignedTransaction): SignedSubstrateTransaction;
}
