/// <reference types="node" />
import { IAirGapSignedTransaction } from '../../../interfaces/IAirGapSignedTransaction';
import { SerializedSyncProtocolSignedTransaction, SignedTransaction, SignedTransactionSerializer } from '../signed-transaction.serializer';
export interface SignedTezosTransaction extends SignedTransaction {
    accountIdentifier: string;
    transaction: IAirGapSignedTransaction;
}
export declare type SerializedSignedTezosTransaction = [Buffer];
export declare class TezosSignedTransactionSerializer extends SignedTransactionSerializer {
    serialize(transaction: SignedTezosTransaction): SerializedSyncProtocolSignedTransaction;
    deserialize(serializedTx: SerializedSyncProtocolSignedTransaction): SignedTezosTransaction;
}
