/// <reference types="node" />
import { SerializedSyncProtocolTransaction, UnsignedTransaction, UnsignedTransactionSerializer } from '../unsigned-transaction.serializer';
export declare type SerializedUnsignedTezosTransaction = [Buffer];
export interface RawTezosTransaction {
    binaryTransaction: string;
}
export interface UnsignedTezosTransaction extends UnsignedTransaction {
    transaction: RawTezosTransaction;
}
export declare class TezosUnsignedTransactionSerializer extends UnsignedTransactionSerializer {
    serialize(unsignedTx: UnsignedTezosTransaction): SerializedSyncProtocolTransaction;
    deserialize(serializedTx: SerializedSyncProtocolTransaction): UnsignedTezosTransaction;
}
